create
    definer = skoiypp@`%` procedure SP_GET_POSTS_MESSAGES_GROUPS(IN _type int(10), IN _field int(10),
                                                                 IN _query varchar(192), IN _filter varchar(192),
                                                                 IN _limit_a int(10), IN _limit_b int(10),
                                                                 IN _order int(10), IN _order_by int(10))
BEGIN




DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM posts_messages_groups;
END IF;

SET @_message_type = _type;
SET @_name = CONCAT("%",_query,"%");
SET @_id_group = _filter;
SET @_id_message = _filter;
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_group,id_type, name,name_stripped,domain,tracking_parameters, FN_GET_POSTS_MESSAGES_NUM_ITEMS_ON_GROUP(id_group) as total,update_date, register_date FROM posts_messages_groups psg WHERE 1=1 ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 11 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_group like @_id_group AND name like @_name ");
WHEN _field = 6 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_group in (SELECT id_group FROM posts_messages WHERE id_message = @_id_message) AND name like @_name ");
WHEN _field = 10 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (FN_GET_POSTS_MESSAGES_NUM_ITEMS_ON_GROUP(id_group))) = @_num_x AND name like @_name ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;


CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");
WHEN _order_by = 11002 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY total ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");
WHEN _order_by = 11002 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY total DESC");


ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;   


COMMIT; 

END;

