<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;

    try {
        $account = Account::find(16, Account::ID);
        $services = $account->services();

        // Get the Account Services
        $d = array_map(function ($service) {
            return $service->toArray();
        }, $services);

        // Enable a Service on Account
        $idService = 2;

        // Filter throw the services of the Account
        $serv = array_values(array_filter($services, function ($service) use ($idService) {
            return $service->getId() == $idService;
        }));

        if (sizeof($serv) > 0) {
            $service_ = $account->enableService($serv[0]);
            print_r($service_);
        }

        //$s = Service::find($idService);
        //$account->enableService($serv);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
