<?php

    require_once '../bootstrap.php';

    try {
        $tag = \Stage\Asset\Tag\Tag::find(6);
        $asset = \Stage\Asset\Asset::find(5);
        $asset->addTag($tag);   // Database persistent operation
        print_r($asset);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
