<?php

    require_once '../bootstrap.php';

    use Stage\Asset\Directory;

    try {

        // Get all directories
        $directories = Directory::all();
        //print_r($directories);

        // Get an array of children
        //$children = \Stage\Asset\Directory::children(93);
        //print_r($children);

        // Build the directories tree
        $tree = Directory::build();
        print_r($tree);

        $idDirectory = 13;
        $node = Directory::findNode($tree, $idDirectory);
        print_r($node);

        // First check if it returned results
        if (sizeof($node)) {
            $result = Directory::children([$node]);
            print_r($result);
        }

//        echo json_encode($tree);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
