<?php

    require_once '../../bootstrap.php';

    use Stage\Stage as Stage;

    $stageInstance = Stage::getInstance();

    $tag = new \Stage\Asset\Tag\Tag();
    $name = htmlentities('Hello', ENT_COMPAT, 'UTF-8');

    $tag->setName($name);
    $tag->setNameStripped("solid-color");
    $tag->setPublic(true);

    try {
        $tag->save();
        print_r($tag);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
