<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;
    use Stage\Lead\Lead;
    use Stage\Lead\Query;
    use Stage\Lead\HardTag\HardTag;
    use Stage\Helper as Helper;

    try {

        // 1. Find the Account
        $account = Account::find(10, Account::ID);

        $tag = new HardTag();
        $tag->setName("Some");
        $tag->setToken(Helper::generateToken(25));   // Its the name separated by dashes
        $tag->setDomains("http://www.sapo.pt");

        $tag = $account->addLeadHardTag($tag);
        print_r($tag);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
