<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;
    use Stage\Lead\Lead;
    use Stage\Lead\Query;
    use Stage\Lead\Tag\Tag;

    try {

        // 1. Find the Account
        $account = Account::find(10, Account::ID);

        $tag = new Tag();
        $tag->setName("Some");
        $tag->setNameStripped("solid-color");   // Its the name separated by dashes
        $tag->setPublic(true);

        $tag = $account->addLeadTag($tag);
        print_r($tag);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
