<?php

    require_once '../../bootstrap.php';

    try {
        $author = new \Stage\Post\Author\Author();

        $l10n1 = new \Stage\Post\Author\L10n();
        $l10n1->setRole("some role");
        $l10n1->setBiography("Some bio");
        $l10n1->setIsoLanguage("en");

        $l10n2 = new \Stage\Post\Author\L10n();
        $l10n2->setRole("some role");
        $l10n2->setBiography("Some bio");
        $l10n2->setIsoLanguage("en");

        $author->addL10n($l10n1);
        $author->addL10n($l10n2);

//        $author->setName("Hitler");
//        $author->setEmail("hitler@gmail.com");
//        $author->setPhoto("f237c5ee2d7d8df32f700f92589163cc.jpg");
//        $author->setFacebook("");
//        $author->setTwitter("");
//        $author->setLinkedin("");
//        $author->setInstagram("");
//        $author->setSkype("");

        $author->save();
        print_r($author);
        //print_r($author->toArray());
    } catch (\Stage\Exception\StoredProcedure $e) {
        print_r(['error'=>
            ['message'=> $e->getMessage(),
                'type'=>'',
                'object' => $e->getObject(),
                'code'=> $e->getCode()]
        ]);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
