<?php

    require_once '../../bootstrap.php';

    use Stage\Stage as Stage;

    // 1. Get the Stage instance
    $stageInstance = Stage::getInstance();

    // 2. Use the connection of the client database
    $stageInstance->useConnection('client');

    try {

        // 5. Get a Dossier or create one
        $id_dossier = 2;
        $id_collection = 3;
        $dossier = \Stage\Post\Dossier\Dossier::find($id_dossier);

        $collection = \Stage\Post\Collection\Collection::find($id_collection);

        // 5. Create a new Collection
        $collection->setName("barcelos");
        $collection->setDomain("http://www.sapo.pt");
        $collection->setDefaultDossier($dossier);

        $collection->save();

        //print_r($collection);

        //print_r($collection->getDefaultDossier()->getId());
        echo json_encode($collection->toArray());
    } catch (Exception $e) {
        echo $e->getMessage();
    }
