<?php

    require_once '../../bootstrap.php';

    use Stage\Stage as Stage;
    use Stage\Post\Dossier\Dossier;
    use Stage\Post\Dossier\L10n;

    $stageInstance = Stage::getInstance();
    $stageInstance->useConnection('client');

    $d1 = new DateTime("2012-07-08 11:14:15.638276");
    $d2 = new DateTime("2012-07-08 11:14:15.889342");
    $dossier = new Dossier();
    $dossier->setName("some");
    $dossier->setManagementName("somemanagemetname");
    $dossier->setBeginDate($d1);
    $dossier->setEndDate("");
    $dossier->setRandom(true);

    $dossierL10n_1 = new L10n();
    $dossierL10n_1->setName("Economia");
    $dossierL10n_1->setIsoLanguage("pt");

    $dossier->addL10n($dossierL10n_1);

    $dossierL10n_2 = new L10n();
    $dossierL10n_2->setName("Economy");
    $dossierL10n_2->setIsoLanguage("en");

    $dossier->addL10n($dossierL10n_2);

    // Save the post
    try {
        $dossier->save();
    } catch (\Exception $e) {
        echo $e->getMessage();
    }

    print_r($dossier);
