<?php

    require_once '../bootstrap.php';

    try {

        // 1. Create a Post Query object
        $query = new \Stage\Post\Query();
        $query->by = \Stage\Post\Query::ALL; // Search by title, description, tags_stripped
        //$query->by = \Stage\Post\Query::TITLE; // Search By title
        //$query->by = \Stage\Post\Query::DESCRIPTION; // Search By description
        //$query->by = \Stage\Post\Query::REGISTER_DATE; // Search By register_date
        //$query->by = \Stage\Post\Query::TAGS; // Search By tags_stripped ( NOT WORKING )
        // $query->term = "2016-10-23"; // Search by register date. The term only filter my month, the day is irrelevant
        $query->term = "";
        $query->from = 0;
        $query->to = -1;
        $query->filter = "";

        $totalResults = \Stage\Post\Post::queryCount($query);
        print_r($totalResults);

        // 2. Execute the query
        $result = \Stage\Post\Post::query($query);

        // Modify the output
        $modified = array_map(function ($post) {

            //print_r($post);
            return $post->toArray();
        }, $result);
        print_r($modified);
    } catch (Exception $e) {
        echo $e->getMessage();
        echo $e->getCode();
    }
