<?php

    require_once '../bootstrap.php';

    use Stage\Account\User;
    use Stage\Account\Account;
    use Stage\Account\Service;

    try {
        $idService = 1;
        $account = Account::find(16, User::ID);

        $user = User::find(57, User::ID);
        $service = Service::find($idService);

        $data = $service->enable($user)->in($account);

        print_r($data);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        print_r($e->getObject());
    } catch (Exception $e) {
        echo $e->getMessage();
    }
