<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;

    try {
        $idUser = 57;

        $account = Account::find(2, Account::ID);
        $users = $account->getUsers();

        // Filter the User that i want
        $user = array_values(array_filter($users, function ($user) use ($idUser) {
            return $user->getId() == $idUser;
        }));

        if (sizeof($user) > 0) {
            $user = $user[0];
            $services = $user->services()->in($account);
            print_r($services);
        }
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        print_r($e->getObject());
    } catch (Exception $e) {
        echo $e->getMessage();
        // echo $e->getCode();
    }
