<?php

    require_once '../bootstrap.php';

    use Stage\Sps;
    use Stage\User;
    use Stage\Stage;
    use Stage\Helper;
    use Stage\Account;
    use Service\Connection;
    use Stage\Events\Event;
    use Stage\Paths\Paths;
    use Stage\Paths\Asset;
    use Stage\Paths\Storage;
    use Stage\StoredProcedure\Manager as StoredProcedureManager;

    // Listen to events
    Event::listen("account.find", function ($data) {
        echo "Event Fired";
    });

    try {
        $account = Account::find(16, Account::ID);
        $account->setVerified(true);
        $account->setActive(true);
        $account->save();
        //print_r(Stage::getInstance()->getStoredProcedureManager()->getLast());

        User::find(28, User::ID);
        //print_r($account->toArray());
    } catch (Exception $e) {
        echo $e->getMessage();
    }

    // Debug of executed Stored Procedure
    //print_r(Stage::getInstance()->getStoredProcedureManager()->getLast());

    print_r(Stage::getInstance()->getStack());
