<?php

    require_once '../bootstrap.php';

    use Stage\Account\User;

    try {
        $user = User::find(57, User::ID);
        $accounts = $user->getAccounts();

        $res = array_map(function ($acc) {
            return $acc->toarray();
        }, $accounts);

        print_r($res);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        print_r($e->getObject());
    } catch (Exception $e) {
        echo $e->getMessage();
        // echo $e->getCode();
    }
