<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;
    use Stage\Account\User;
    use Stage\Role;
    use Stage\Stage;
    use Stage\Helper;

    $stageInstance = Stage::getInstance();

    $userInstance = new User();
    $acc = null;
    $roleInstance = null;

    try {
        //echo $stageInstance->getCurrentConnectionName()."|||";
        $hashedPassword = Helper::hashPassword("11");
        $userInstance = User::authenticate("psilva@youongroup.com", $hashedPassword);

        $id_account = 5;
        $acc = Account::find($id_account, Account::ID);

        /*
        $email = "aaa@gmail.com";
        $acc = Account::find($email, Account::EMAIL);

        $token = "XYZ123";
        $acc = Account::find($token, Account::TOKEN);
        */

        $roles =  Role::all();

        $role = 'ADMIN';    // Use the role in UPPERCASE
        $roleInstance = Role::role($role);

        $userInstance->associateTo($acc, $roleInstance);

        //$userInstance->disassociateFrom($acc);
    } catch (Exception $e) {
        echo $e->getMessage();
        echo $e->getCode();
    }
