<?php

    require_once '../bootstrap.php';

    use Stage\Video\Directory;
    use Stage\Video\Query;

    try {

        // Query videos
        $query = new Query();
        $query->by = Query::ALL;
        $query->term = "";
        $query->filter = "";
        $query->from = 0;
        $query->to = -1;

        // Pass id directory equal to zero to fetch in all directories, otherwise pass a valid id directory
        $idDirectory = 0;
        $videos = Directory::videos($query, $idDirectory);
        //print_r($videos);

        $videosArray = array_map(function ($video) {
            return $video->toArray();
        }, $videos);

        print_r($videosArray);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
