create
    definer = skoiypp@`%` function FN_GET_LIVE_PULL_PATH(_id_account int, _field varchar(255), _type varchar(255)) returns varchar(255)
BEGIN

  DECLARE _path varchar(255); 

IF(_type = 'STORAGE')
THEN
        CASE
        WHEN _field = 'LIVES' THEN
            SELECT FN_GET_LIVE_STORAGE_PATH(source) into _path FROM accounts_live_source_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
        WHEN _field = 'LIVES_VERSIONS' THEN
            SELECT FN_GET_LIVE_STORAGE_PATH(versions) into _path FROM accounts_live_versions_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
        WHEN _field = 'LIVES_CLIPPING' THEN
            SELECT FN_GET_LIVE_STORAGE_PATH(versions) into _path FROM accounts_live_clipping_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
         ELSE
			 SELECT 0 into _path;    
        END CASE;
END IF;
IF(_type = 'CDN')
THEN
        CASE
        WHEN _field = 'LIVES' THEN
            SELECT FN_GET_CDN_LIVE_PATH(cdn_source) into _path FROM accounts_live_source_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
        WHEN _field = 'LIVES_VERSIONS' THEN
            SELECT FN_GET_CDN_LIVE_PATH(cdn_versions) into _path FROM accounts_live_versions_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
		WHEN _field = 'LIVES_VERSIONS_ABR' THEN
            SELECT FN_GET_CDN_LIVE_PATH(cdn_abr) into _path FROM accounts_live_versions_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
        WHEN _field = 'LIVES_CLIPPING' THEN
            SELECT FN_GET_CDN_LIVE_PATH(cdn_versions) into _path FROM accounts_live_clipping_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;
		WHEN _field = 'LIVES_CLIPPING_ABR' THEN
            SELECT FN_GET_CDN_LIVE_PATH(cdn_abr) into _path FROM accounts_live_clipping_settings WHERE id_account = _id_account AND current_active = 1 ORDER BY id desc limit 0,1;            
         ELSE
			 SELECT 0 into _path;    
        END CASE;
END IF;
      
RETURN _path;

END;

