create
    definer = skoiypp@`%` procedure SP_EXTERNAL_GET_ASSETS_DIRECTORIES_ON_TRANSFERS(IN _id_transfer int,
                                                                                    IN _field int(10),
                                                                                    IN _query varchar(192),
                                                                                    IN _filter varchar(192),
                                                                                    IN _limit_a int, IN _limit_b int)
BEGIN

DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;



START TRANSACTION;

SET @_id_transfer = _id_transfer;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT atadr.id_transfer,ad.id_directory, name, description, link,FN_GET_ASSETS_TRANSFERS_NUM_ITEMS_ON_DIRECTORY(ad.id_directory) as total_items,child_directories 
FROM assets_directories ad, assets_transfers_assets_directories_related atadr
WHERE ad.id_directory = atadr.id_directory AND deleted = 0 AND ad.public = 1 AND atadr.id_transfer = @_id_transfer ";

SET sqlcommand = CONCAT(sqlcommand," ORDER BY position LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;

COMMIT;

END;

