create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_CUSTOM_FIELDS_KEYS_COUNT(IN _field int(10), IN _query varchar(192), IN _filter varchar(192))
BEGIN

DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

SET @_name = CONCAT("%",_query,"%");
SET @_extension = CONCAT("%",_filter,"%");
SET @_num_x = _filter;

IF(_field = 20)
THEN
  SET sqlcommand = "SELECT count(1) as total FROM assets_custom_fields_keys a LEFT JOIN assets_custom_fields_keys_related b ON a.id_key = b.id_key WHERE visible = 1 AND b.extension like @_extension ";
ELSE
  SET sqlcommand = "SELECT count(1) as total FROM assets_custom_fields_keys a WHERE visible = 1 ";
END IF;

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 1 AND name like @_name ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 0 AND name like @_name ");
WHEN _field = 5 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND a.id_key in (SELECT distinct id_key FROM assets_custom_fields_keys) AND name like @_name ");

WHEN _field = 9 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name_stripped in (SELECT name_stripped FROM (SELECT count(1) as total,name_stripped FROM assets_custom_fields_keys GROUP BY name_stripped) as tt WHERE total > 1) AND name like @_name ");
WHEN _field = 10 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND FN_GET_ASSETS_CUSTOM_FIELDS_KEYS_TOTAL_ASSETS(a.id_key) = @_num_x AND name like @_name ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;  
  
        
COMMIT;

END;

