create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_PLAYLIST(IN _id_playlist INT)
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF (SELECT count(1) FROM assets_playlists WHERE id_playlist = _id_playlist AND FN_GET_ASSETS_PLAYLIST_DIRECTORY_IS_DELETED(id_directory) = 0)
THEN
    SELECT id_playlist, id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,FN_GET_ASSETS_NUM_ASSETS_ON_PLAYLISTS(id_playlist) as total_assets, FN_GET_ASSETS_PLAYLIST_COVER_IMAGE(id_playlist) as cover_image, register_date FROM assets_playlists WHERE id_playlist = _id_playlist;
ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

