create
    definer = skoiypp@`%` procedure SP_GET_POSTS_MESSAGES_POSTS(IN _field int(10), IN _id_message int(10),
                                                                IN _query varchar(192), IN _filter varchar(192),
                                                                IN _limit_a int(10), IN _limit_b int(10),
                                                                IN _order int(10), IN _order_by int(10))
BEGIN



DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM posts_messages_posts_related WHERE id_message = _id_message;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_message = _id_message;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT FN_GET_POSTS_TYPE(pt.id_post) as id_type,pt.id_post,pt.title, pt.iso_language FROM posts_messages_posts_related ptr, posts_l10n pt WHERE pt.id_post = ptr.id_post AND pt.iso_language = (SELECT iso_language FROM posts_messages WHERE id_message = @_id_message) AND ptr.id_message = @_id_message ";


CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY ptr.register_date ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY ptr.register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END;

