create
    definer = skoiypp@`%` procedure SP_GET_POSTS_STICKERS_RELATED(IN _field int(10), IN _field_snd int(10),
                                                                  IN _field_trd int(10), IN _query varchar(192),
                                                                  IN _filter varchar(192), IN _filter_snd varchar(192),
                                                                  IN _filter_trd varchar(192), IN _order int(10),
                                                                  IN _order_by int(10), IN _limit_a int(10),
                                                                  IN _limit_b int(10))
BEGIN


	


	
	





DECLARE sqlcommand text;
DECLARE sqlcommand_union text;
DECLARE sqlcommand_feed text;

DECLARE _autoFeedEnabled INT(10);
DECLARE _autoFeedSort INT(10);
DECLARE _sourceType INT(10);

DECLARE _st_num INT(10);

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM posts_stickers_related;
END IF;

SET @_title = CONCAT("%",_query,"%");
SET @_id_sticker = _filter;
SET @_id_post = _filter;

SET @id_post = _filter_snd;
SET @state = _filter_snd;

SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET _autoFeedEnabled = 0; SET _autoFeedSort = 0; SET _sourceType = 0; SET _st_num = 0;
SET sqlcommand_feed = ""; SET sqlcommand = "";

IF EXISTS (SELECT id_sticker FROM posts_stickers WHERE id_sticker = @_id_sticker)
THEN
      SELECT  auto_feed_enabled,auto_feed_sort into _autoFeedEnabled, _autoFeedSort FROM posts_stickers WHERE id_sticker = @_id_sticker;
END IF;

SELECT count(distinct source_type) into @_st_num FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker;

IF(_field = 1000)
THEN
	SET sqlcommand = "SELECT distinct 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_POSTS_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_post,'' as title,'' as description,'' as image,'' as image_align,pl10n.publish_date,pl10n.begin_date as post_begin_date,pl10n.end_date as post_end_date,(SELECT pm.begin_date FROM posts_messages_posts_related pmr, posts_messages pm WHERE pmr.id_post = pl10n.id_post AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,psr.state,psr.position,psr.register_date
	FROM posts_stickers_related psr, posts_l10n pl10n, posts_stickers ps WHERE psr.id_post = pl10n.id_post AND ps.id_sticker = psr.id_sticker AND psr.id_post = @_id_post ";
END IF;

IF(_field = 2000 OR _field = 2010)
THEN

    SET sqlcommand = "(SELECT 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_POSTS_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_post,pl10n.title,pl10n.description,pl10n.image,pl10n.image_align,pl10n.publish_date,pl10n.begin_date as post_begin_date,pl10n.end_date as post_end_date,(SELECT pm.begin_date FROM posts_messages_posts_related pmr, posts_messages pm WHERE pmr.id_post = pl10n.id_post AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,IF(pl10n.state = 5,psr.state,pl10n.state) as state,psr.position,psr.register_date
	FROM posts_stickers_related psr, posts_l10n pl10n, posts_stickers ps WHERE psr.id_post = pl10n.id_post AND ps.id_sticker = psr.id_sticker AND ps.id_sticker = @_id_sticker AND FN_POSTS_STICKERS_ISOKTO_PUBLISH(pl10n.state,pl10n.begin_date,pl10n.end_date,psr.state,psr.begin_date,psr.end_date) = 1 GROUP BY pl10n.id_post ORDER BY psr.position) ";

	IF (@_st_num > 0)
	THEN
		SELECT count(1) into @rownum FROM posts_stickers_related WHERE id_sticker = @_id_sticker;
		SET sqlcommand_feed = "(SELECT fixed,value,id_sticker,name,name_stripped,total,id_post,title,description,image,image_align,publish_date,post_begin_date,post_end_date,(SELECT pm.begin_date FROM posts_messages_posts_related pmr, posts_messages pm WHERE pmr.id_post = id_post AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM (SELECT 0 as fixed,0 as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, id_post,pl10n.title,pl10n.description,pl10n.image,pl10n.image_align, pl10n.publish_date,pl10n.begin_date as post_begin_date,pl10n.end_date as post_end_date,'0000-00-00 00:00:00' as begin_date,'0000-00-00 00:00:00' as end_date,state,0 as position,register_date
			FROM posts_l10n pl10n WHERE id_post in ";
		
	
					IF(@_st_num > 1) 
					THEN 
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM (");
	
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 2)) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM dossiers_l10n WHERE id_l10n in (SELECT id_l10n FROM  dossiers_l10n_tags_related WHERE id_tag in (SELECT id_dossier_tag FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 20)))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM dossiers_collections_related WHERE id_collection in (SELECT id_collection FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 3))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM dossiers_collections_related WHERE id_collection in 
						    (SELECT id_collection FROM collections_l10n WHERE id_l10n in (SELECT id_l10n FROM collections_l10n_tags_related WHERE id_tag in (SELECT id_collection_tag FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 30))))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_l10n WHERE id_l10n in (SELECT id_l10n FROM posts_l10n_authors WHERE id_author in (SELECT id_author FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 5))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_l10n WHERE id_l10n in (SELECT id_l10n FROM posts_l10n_tags_related WHERE id_tag in (SELECT id_post_tag FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 10))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts WHERE id_type in (SELECT id_post_type FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 11)) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts WHERE id_post in (SELECT id_post FROM posts_stickers_related WHERE id_sticker in (SELECT id_source_sticker FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 40))) ");

						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " ) AS t1 GROUP BY id_post HAVING count(id_post) >= @_st_num )"); 
					
					ELSE 
						SELECT source_type into _sourceType FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker LIMIT 0,1;
      					SET @_source_type = _sourceType; 
						CASE
				            WHEN (_sourceType = 2 AND _autoFeedSort = 0) THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)) ");
							
							WHEN _sourceType = 20 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM dossiers_l10n WHERE id_l10n in (SELECT id_l10n FROM  dossiers_l10n_tags_related WHERE id_tag in (SELECT id_dossier_tag FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)))) ");
							
							WHEN (_sourceType = 3 AND _autoFeedSort = 0) THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM dossiers_collections_related WHERE id_collection in (SELECT id_collection FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");
				
							
							WHEN _sourceType = 30 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_dossiers_related WHERE id_dossier in (SELECT id_dossier FROM dossiers_collections_related WHERE id_collection in 
				    (SELECT id_collection FROM collections_l10n WHERE id_l10n in (SELECT id_l10n FROM collections_l10n_tags_related WHERE id_tag in (SELECT id_collection_tag FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))))) ");
							WHEN _sourceType = 5 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_l10n WHERE id_l10n in (SELECT id_l10n FROM posts_l10n_authors WHERE id_author in (SELECT id_author FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");
							WHEN _sourceType = 10 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts_l10n WHERE id_l10n in (SELECT id_l10n FROM posts_l10n_tags_related WHERE id_tag in (SELECT id_post_tag FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");
							WHEN _sourceType = 11 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts WHERE id_type in (SELECT id_post_type FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)) ");
				
							WHEN _sourceType = 40 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_post FROM posts WHERE id_post in (SELECT id_post FROM posts_stickers_related WHERE id_sticker in (SELECT id_source_sticker FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");
						ELSE SET sqlcommand_feed = CONCAT(sqlcommand_feed,"");
						END CASE;
					
				END IF;
        
			IF(_autoFeedSort = 0)
			THEN
				SET sqlcommand_feed = CONCAT(sqlcommand_feed," AND state in (5) ORDER by pl10n.publish_date desc LIMIT 0,15) as t2) ");
			ELSE
				IF(_sourceType = 3 AND _autoFeedSort = 1)
				THEN
					SET sqlcommand_feed = "(SELECT fixed,0 as value,id_sticker,name,name_stripped,total,id_post,title,description,image,image_align,publish_date,post_begin_date,post_end_date,last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM 
					(SELECT 0 as fixed,impressions as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, pl10n.id_post,pl10n.title,pl10n.description,pl10n.image,pl10n.image_align, 
					'0000-00-00 00:00:00' as publish_date, '0000-00-00 00:00:00' as post_begin_date, '0000-00-00 00:00:00' as post_end_date, '0000-00-00 00:00:00' as last_message_at,'0000-00-00 00:00:00' as begin_date, '0000-00-00 00:00:00' as end_date
,state,0 as position,pl10n.register_date
					FROM posts_l10n pl10n, posts_stats ps WHERE ps.id_post = pl10n.id_post AND
					day <= date(SUBDATE(NOW(),1)) AND day >= date(SUBDATE(NOW(),3)) AND id_collection in (SELECT id_collection FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)
					AND state in (5)  ORDER BY value desc LIMIT 0,15) as t2)";
				END IF;

				IF(_sourceType = 2 AND _autoFeedSort = 1)
				THEN
					SET sqlcommand_feed = "(SELECT fixed,0 as value,id_sticker,name,name_stripped,total,id_post,title,description,image,image_align,publish_date,post_begin_date,post_end_date,last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM 
					(SELECT 0 as fixed,impressions as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, pl10n.id_post,pl10n.title,pl10n.description,pl10n.image,pl10n.image_align, '0000-00-00 00:00:00' as publish_date, '0000-00-00 00:00:00' as post_begin_date, '0000-00-00 00:00:00' as post_end_date, '0000-00-00 00:00:00' as last_message_at,'0000-00-00 00:00:00' as begin_date, '0000-00-00 00:00:00' as end_date
,state,0 as position,pl10n.register_date
					FROM posts_l10n pl10n, posts_stats ps WHERE ps.id_post = pl10n.id_post AND
					day <= date(SUBDATE(NOW(),1)) AND day >= date(SUBDATE(NOW(),3)) AND id_dossier in (SELECT id_dossier FROM posts_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)
					AND state in (5)  ORDER BY value desc LIMIT 0,15) as t2)";
				END IF;
			END IF;
	
	END IF;
    
    IF(sqlcommand_feed <> '' AND _autoFeedEnabled = 1)
    THEN
    
			IF(_field = 2000)
            THEN
				SET sqlcommand_union = CONCAT(sqlcommand," UNION ", sqlcommand_feed);
            ELSE
				SET sqlcommand_union = sqlcommand_feed;
            END IF;
            
	ELSE
        
			IF(_field = 2000)
            THEN
				SET sqlcommand_union = sqlcommand;
            ELSE
				SET sqlcommand_union = "SELECT 0 as fixed,0 as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, id_post,pl10n.title,pl10n.description,pl10n.image,pl10n.image_align,pl10n.publish_date,pl10n.begin_date as post_begin_date,pl10n.end_date as post_end_date,(SELECT pm.begin_date FROM posts_messages_posts_related pmr, posts_messages pm WHERE pmr.id_post = pl10n.id_post AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at, '0000-00-00 00:00:00' as begin_date,'0000-00-00 00:00:00' as end_date,'' as state,0 as position,register_date
				FROM posts_l10n pl10n WHERE 0=1";
            END IF;
            
	END IF;
   

END IF;

IF(_field not in (1000,2000,2010))
THEN
    SET sqlcommand = "SELECT 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_POSTS_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_post,pl10n.title,pl10n.description,pl10n.image,pl10n.image_align,pl10n.publish_date,pl10n.begin_date as post_begin_date,pl10n.end_date as post_end_date,(SELECT pm.begin_date FROM posts_messages_posts_related pmr, posts_messages pm WHERE pmr.id_post = pl10n.id_post AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,IF(pl10n.state = 5,psr.state,pl10n.state) as state,psr.position,psr.register_date
	FROM posts_stickers_related psr, posts_l10n pl10n, posts_stickers ps WHERE psr.id_post = pl10n.id_post AND ps.id_sticker = psr.id_sticker AND ps.id_sticker = @_id_sticker ";
END IF;


	IF (_field_snd > 0)
	THEN
		CASE
			WHEN _field_snd = 100 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (psr.id_post = @id_post ) ");
			WHEN _field_snd = 116 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (psr.state = @state ) ");

		ELSE SET sqlcommand = CONCAT(sqlcommand, " AND 1=1 ");
		END CASE;
	END IF;


CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND pl10n.title like @_title ");

ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE 
	WHEN _field = 1000 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY psr.position ASC LIMIT ?,?");
	WHEN _field = 2000 THEN SET sqlcommand =  sqlcommand_union;
    WHEN _field = 2010 THEN SET sqlcommand =  sqlcommand_union;
ELSE SET sqlcommand = CONCAT(sqlcommand, " GROUP BY pl10n.id_post ORDER BY psr.position ASC LIMIT ?,?");
END CASE;

SET @sqlcommand = sqlcommand;   
PREPARE stmt FROM @sqlcommand;

IF(_field = 2000 OR _field = 2010)
THEN
	EXECUTE stmt;  
ELSE
	EXECUTE stmt USING @_limit_a,@_limit_b;  
END IF;  
        
COMMIT;

END;

