create
    definer = skoiypp@`%` procedure SP_GET_PUBLISH_VIDEO_STICKERS_BY_PLAYLIST(IN _id_playlist int(10))
BEGIN
	
	-- CALL SP_GET_PUBLISH_VIDEO_STICKERS_BY_PLAYLIST(1)

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS(SELECT id_playlist FROM playlists WHERE id_playlist = _id_playlist)
THEN

	SELECT vs.id_sticker,id_group,(SELECT name FROM video_stickers_groups  psg WHERE psg.id_group = vs.id_group) as group_name,(SELECT sticker_type FROM video_stickers_groups  psg WHERE psg.id_group = vs.id_group) as sticker_type,id_type,vs.position, name,name_stripped,token,image,image_align,maximum_items,number_of_rows,display_in,id_format,
    (SELECT format FROM video_stickers_formats WHERE id_format = vs.id_format) as format,(SELECT variant FROM video_stickers_formats WHERE id_format = vs.id_format) as variant,
    link,auto_feed_enabled,auto_feed_source_type,auto_feed_sort,FN_GET_VIDEO_STICKERS_AUTOFEED_SORT_SLUG(vs.id_sticker) auto_feed_sort_slug,vs.color,active,active as state, FN_GET_VIDEO_STICKERS_TOTAL_ITEMS(vs.id_sticker) as total,FN_GET_ASSETS_ID_BY_FILENAME(image) as id_asset,FN_GET_ASSETS_WIDTH_HEIGHT_BY_ID(1,FN_GET_ASSETS_ID_BY_FILENAME(image)) as image_width,FN_GET_ASSETS_WIDTH_HEIGHT_BY_ID(2,FN_GET_ASSETS_ID_BY_FILENAME(image)) as image_height,vs.register_date
    FROM video_stickers vs, playlists_stickers_related vsr WHERE vs.id_sticker = vsr.id_sticker AND vsr.id_playlist = _id_playlist AND state = 5
   
   UNION 
   
   	SELECT vs.id_sticker,id_group,(SELECT name FROM video_stickers_groups  psg WHERE psg.id_group = vs.id_group) as group_name,(SELECT sticker_type FROM video_stickers_groups  psg WHERE psg.id_group = vs.id_group) as sticker_type,id_type,vs.position, name,name_stripped,token,image,image_align,maximum_items,number_of_rows,display_in,id_format,
    (SELECT format FROM video_stickers_formats WHERE id_format = vs.id_format) as format,(SELECT variant FROM video_stickers_formats WHERE id_format = vs.id_format) as variant,
    link,auto_feed_enabled,auto_feed_source_type,auto_feed_sort,FN_GET_VIDEO_STICKERS_AUTOFEED_SORT_SLUG(vs.id_sticker) auto_feed_sort_slug,vs.color,active,active as state, FN_GET_VIDEO_STICKERS_TOTAL_ITEMS(vs.id_sticker) as total,FN_GET_ASSETS_ID_BY_FILENAME(image) as id_asset,FN_GET_ASSETS_WIDTH_HEIGHT_BY_ID(1,FN_GET_ASSETS_ID_BY_FILENAME(image)) as image_width,FN_GET_ASSETS_WIDTH_HEIGHT_BY_ID(2,FN_GET_ASSETS_ID_BY_FILENAME(image)) as image_height,vs.register_date
    FROM video_stickers vs, playlists_snapshot_stickers_related vsr WHERE vs.id_sticker = vsr.id_sticker AND vsr.id_playlist = _id_playlist AND snapshot in (SELECT max(snapshot) FROM playlists_snapshot_stickers_related WHERE id_sticker = vsr.id_sticker);

ELSE
	SELECT -2 as return_code;
END IF;
        
COMMIT;

END;

