create
    definer = skoiypp@`%` procedure SP_GET_VIDEO_MESSAGES_COUNT(IN _field int(10), IN _id_group int(10),
                                                                IN _id_type int(10), IN _query varchar(192),
                                                                IN _filter varchar(192))
BEGIN



DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;


SET @_name = CONCAT("%",_query,"%");
SET @_id_type = _id_type;
SET @_id_group = _id_group;
SET @_id_message = _filter;
SET @_id_asset = _filter;
SET @_id_composed = _filter;


SET sqlcommand = "SELECT count(1) as total FROM video_messages WHERE 1=1 ";

CASE 
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (management_name like @_name OR title like @_name) ");
WHEN _field = 11 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_message like @_id_message AND (management_name like @_name OR title like @_name) ");
WHEN _field = 13 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_type = @_id_type AND name like @_name ");
WHEN _field = 23 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (FN_GET_ASSETS_ID_BY_FILENAME(image) = @_id_asset) AND (management_name like @_name OR title like @_name) ");
WHEN _field = 6 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_message in (SELECT id_message FROM video_messages_video_composed_related WHERE id_composed = @_id_composed) AND (management_name like @_name OR title like @_name) ");
WHEN _field = 30 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_type = @_id_type AND begin_date <= now() AND state = 3 ");

ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

	IF (_id_group > 0)
	THEN
	   SET sqlcommand = CONCAT(sqlcommand," AND id_group = @_id_group ");
	END IF;
	
	IF (_id_type > 0)
	THEN
	   SET sqlcommand = CONCAT(sqlcommand," AND id_type = @_id_type ");
	END IF;


SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END;

