create
    definer = skoiypp@`%` procedure SP_GET_VIDEO_MESSAGES_GROUPS_COUNT(IN _id_type int(10), IN _field int(10),
                                                                       IN _query varchar(192), IN _filter varchar(192))
BEGIN

DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

SET @_message_type = _id_type;
SET @_name = CONCAT("%",_query,"%");
SET @_id_group = _filter;
SET @_id_message = _filter;
SET @_num_x = _filter;

SET sqlcommand = "SELECT count(1) as total FROM video_messages_groups psg WHERE 1=1 ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 11 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_group like @_id_group AND name like @_name ");
WHEN _field = 6 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_group in (SELECT id_group FROM video_messages WHERE id_message = @_id_message) AND name like @_name ");
WHEN _field = 10 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (FN_GET_VIDEO_MESSAGES_NUM_ITEMS_ON_GROUP(id_group))) = @_num_x AND name like @_name ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

	IF (_id_type > 0)
	THEN
	   SET sqlcommand = CONCAT(sqlcommand," AND id_type = @_message_type ");
	END IF;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;   


COMMIT; 

END;

