create
    definer = skoiypp@`%` procedure SP_GET_VIDEO_STICKERS_RELATED(IN _field int(10), IN _field_snd int(10),
                                                                  IN _field_trd int(10), IN _query varchar(192),
                                                                  IN _filter varchar(192), IN _filter_snd varchar(192),
                                                                  IN _filter_trd varchar(192), IN _order int(10),
                                                                  IN _order_by int(10), IN _limit_a int(10),
                                                                  IN _limit_b int(10))
BEGIN


	


	
	


	



	
	
DECLARE sqlcommand text;
DECLARE sqlcommand_union text;
DECLARE sqlcommand_feed text;

DECLARE _autoFeedEnabled INT(10);
DECLARE _autoFeedSort INT(10);
DECLARE _sourceType INT(10);

DECLARE _st_num INT(10);


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM video_composed_stickers_related;
END IF;

SET @_title = CONCAT("%",_query,"%");
SET @_id_sticker = _filter;
SET @_id_composed = _filter;

SET @id_composed = _filter_snd;
SET @state = _filter_snd;

SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET _autoFeedEnabled = 0; SET _autoFeedSort = 0; SET _sourceType = 0; SET _st_num = 0;
SET sqlcommand_feed = ""; SET sqlcommand = "";

IF EXISTS (SELECT id_sticker FROM video_stickers WHERE id_sticker = @_id_sticker)
THEN
      SELECT  auto_feed_enabled,auto_feed_sort into _autoFeedEnabled, _autoFeedSort FROM video_stickers WHERE id_sticker = @_id_sticker;
END IF;

SELECT count(distinct source_type) into @_st_num FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker;

IF(_field = 1000)
THEN
	SET sqlcommand = "SELECT distinct 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_VIDEO_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_composed,'' as title,'' as description,'' as image,'' as image_align,vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = vc.id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,psr.state,psr.position,psr.register_date
	FROM video_composed_stickers_related psr, video_composed vc, video_stickers ps WHERE psr.id_composed = vc.id_composed AND ps.id_sticker = psr.id_sticker AND psr.id_composed = @_id_composed ";
END IF;

IF(_field = 2000 OR _field = 2010)
THEN


    SET sqlcommand = "(SELECT 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_VIDEO_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align,vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = vc.id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,IF(vc.state = 5,psr.state,vc.state) as state,psr.position,psr.register_date
	FROM video_composed_stickers_related psr, video_composed vc, video_stickers ps, video_profiles_l10n vp WHERE vc.id_profile = vp.id_profile AND psr.id_composed = vc.id_composed AND ps.id_sticker = psr.id_sticker AND ps.id_sticker = @_id_sticker GROUP BY vc.id_composed ORDER BY psr.position)";


	IF (@_st_num > 0)
	THEN
		SELECT count(1) into @rownum FROM video_composed_stickers_related WHERE id_sticker = @_id_sticker;
		
		SET sqlcommand_feed = "(SELECT fixed,value,id_sticker,name,name_stripped,total,id_composed,title,description,image,'' as image_align,publish_date,video_composed_begin_date,video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM (SELECT 0 as fixed,0 as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align, vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,'0000-00-00 00:00:00' as begin_date,'0000-00-00 00:00:00' as end_date,vc.state,0 as position,vc.register_date
			FROM video_composed vc, video_profiles_l10n vp WHERE vc.id_profile = vp.id_profile AND id_composed in ";


					IF(@_st_num > 1) 
					THEN 
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM (");
	
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 2)) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_l10n WHERE id_l10n in (SELECT id_l10n FROM  playlists_l10n_tags_related WHERE id_tag in (SELECT id_playlist_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 20)))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 3))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in 
						    (SELECT id_channel FROM channels_l10n WHERE id_l10n in (SELECT id_l10n FROM channels_l10n_tags_related WHERE id_tag in (SELECT id_channel_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 30))))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_composed in (SELECT id_l10n FROM video_profiles_l10n_tags_related WHERE id_tag in (SELECT id_profile_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 10))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE FN_GET_VIDEO_IS_LIVE_PROFILE(id_profile) in (SELECT live_profile FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 11)) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_composed in (SELECT id_composed FROM video_composed_stickers_related WHERE id_sticker in (SELECT id_source_sticker FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 40))) ");

						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " ) AS t1 GROUP BY id_composed HAVING count(id_composed) >= @_st_num )"); 
					
					ELSE 
						SELECT source_type into _sourceType FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker LIMIT 0,1;
      					SET @_source_type = _sourceType; 
						CASE
				            WHEN (_sourceType = 2 AND _autoFeedSort = 0) THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)) ");
							
							WHEN _sourceType = 20 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_l10n WHERE id_l10n in (SELECT id_l10n FROM playlists_l10n_tags_related WHERE id_tag in (SELECT id_playlist_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)))) ");

							WHEN (_sourceType = 3 AND _autoFeedSort = 0) THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");

							WHEN _sourceType = 30 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in 
				    (SELECT id_channel FROM channels_l10n WHERE id_l10n in (SELECT id_l10n FROM channels_l10n_tags_related WHERE id_tag in (SELECT id_channel_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))))) ");
														
				   			WHEN _sourceType = 10 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_profile in ( SELECT id_profile FROM video_profiles_l10n WHERE id_l10n in (SELECT id_l10n FROM video_profiles_l10n_tags_related WHERE id_tag in (SELECT id_profile_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)))) ");
							WHEN _sourceType = 11 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE FN_GET_VIDEO_IS_LIVE_PROFILE(id_profile) in (SELECT live_profile FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)) ");
				
							WHEN _sourceType = 40 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_composed in (SELECT id_composed FROM video_composed_stickers_related WHERE id_sticker in (SELECT id_source_sticker FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");
						
						ELSE SET sqlcommand_feed = CONCAT(sqlcommand_feed,"");
						END CASE;
					
				END IF;
        
			IF(_autoFeedSort = 0)
			THEN
				SET sqlcommand_feed = CONCAT(sqlcommand_feed," AND vc.state in (5) ORDER by vc.publish_date desc LIMIT 0,15) as t2) ");
			ELSE
				IF(_sourceType = 3 AND _autoFeedSort = 1)
				THEN
					SET sqlcommand_feed = "(SELECT fixed,0 as value,id_sticker,name,name_stripped,total,id_composed,title,description,image,image_align,publish_date,video_composed_begin_date,video_composed_end_date,last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM 
					(SELECT 0 as fixed,impressions as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, vc.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align, 
					'0000-00-00 00:00:00' as publish_date, '0000-00-00 00:00:00' as video_composed_begin_date, '0000-00-00 00:00:00' as video_composed_end_date, '0000-00-00 00:00:00' as last_message_at,'0000-00-00 00:00:00' as begin_date, '0000-00-00 00:00:00' as end_date,vc.state,0 as position,vp.register_date
					FROM video_composed vc, video_profiles_l10n vp, video_stats vs WHERE vc.id_profile = vp.id_profile AND vs.id_composed = vc.id_composed AND
					day <= date(SUBDATE(NOW(),1)) AND day >= date(SUBDATE(NOW(),3)) AND id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)
					AND vc.state in (5)  ORDER BY value desc LIMIT 0,15) as t2)";
				END IF;

				IF(_sourceType = 2 AND _autoFeedSort = 1)
				THEN
					SET sqlcommand_feed = "(SELECT fixed,0 as value,id_sticker,name,name_stripped,total,id_composed,title,description,image,image_align,publish_date,video_composed_begin_date,video_composed_end_date,last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM 
					(SELECT 0 as fixed,impressions as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, vc.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align, '0000-00-00 00:00:00' as publish_date, '0000-00-00 00:00:00' as video_composed_begin_date, '0000-00-00 00:00:00' as video_composed_end_date, '0000-00-00 00:00:00' as last_message_at,'0000-00-00 00:00:00' as begin_date, '0000-00-00 00:00:00' as end_date
,vc.state,0 as position,vp.register_date
					FROM video_composed vc, video_profiles_l10n vp, video_stats vs WHERE vc.id_profile = vp.id_profile AND vs.id_composed = vc.id_composed AND
					day <= date(SUBDATE(NOW(),1)) AND day >= date(SUBDATE(NOW(),3)) AND id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)
					AND vc.state in (5)  ORDER BY value desc LIMIT 0,15) as t2)";
				END IF;
			END IF;
	
	END IF;
    
    IF(sqlcommand_feed <> '' AND _autoFeedEnabled = 1)
    THEN
    
			IF(_field = 2000)
            THEN
				SET sqlcommand_union = CONCAT(sqlcommand," UNION ", sqlcommand_feed);
            ELSE
				SET sqlcommand_union = sqlcommand_feed;
            END IF;
            
	ELSE
        
			IF(_field = 2000)
            THEN
				SET sqlcommand_union = sqlcommand;
            ELSE
				SET sqlcommand_union = "SELECT 0 as fixed,0 as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, id_composed,'' as title,'' as description,'' as image,'' as image_align,vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = vc.id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at, '0000-00-00 00:00:00' as begin_date,'0000-00-00 00:00:00' as end_date,'' as state,0 as position,register_date
				FROM video_composed vc WHERE 0=1";
            END IF;
            
	END IF;
   

END IF;

IF(_field not in (1000,2000,2010))
THEN
    SET sqlcommand = "SELECT 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_VIDEO_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align,vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = vc.id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,IF(vc.state = 5,psr.state,vc.state) as state,psr.position,psr.register_date
	FROM video_composed_stickers_related psr, video_composed vc, video_profiles_l10n vp, video_stickers ps WHERE vc.id_profile = vp.id_profile AND psr.id_composed = vc.id_composed AND ps.id_sticker = psr.id_sticker AND ps.id_sticker = @_id_sticker ";
END IF;


	IF (_field_snd > 0)
	THEN
		CASE
			WHEN _field_snd = 100 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (psr.id_composed = @id_composed ) ");
			WHEN _field_snd = 116 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (psr.state = @state ) ");

		ELSE SET sqlcommand = CONCAT(sqlcommand, " AND 1=1 ");
		END CASE;
	END IF;


CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND vp.title like @_title ");

ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE 
	WHEN _field = 1000 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY psr.position ASC LIMIT ?,?");
	WHEN _field = 2000 THEN SET sqlcommand =  sqlcommand_union;
    WHEN _field = 2010 THEN SET sqlcommand =  sqlcommand_union;
ELSE SET sqlcommand = CONCAT(sqlcommand, " GROUP BY vc.id_composed ORDER BY psr.position ASC LIMIT ?,?");
END CASE;

SET @sqlcommand = sqlcommand;   
PREPARE stmt FROM @sqlcommand;

IF(_field = 2000 OR _field = 2010)
THEN
	EXECUTE stmt;  
ELSE
	EXECUTE stmt USING @_limit_a,@_limit_b;  
END IF;  
        
COMMIT;

END;

