create
    definer = skoiypp@`%` procedure SP_SET_ALBUMS_CUSTOM_FIELDS_VARIANTS(IN _id_album INT(10), IN _id_key INT(10),
                                                                         IN _variant_value VARCHAR(255),
                                                                         IN _id_position INT(10))
BEGIN

DECLARE _empty INT;


DECLARE exit handler for sqlexception
  BEGIN
    
    SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF EXISTS (SELECT id_album FROM albums WHERE id_album = _id_album) AND EXISTS (SELECT id_key FROM albums_custom_fields_keys WHERE id_key = _id_key)
THEN

    IF NOT EXISTS(SELECT id_album FROM albums_custom_fields_related WHERE id_album = _id_album AND id_key = _id_key)
    THEN
        INSERT INTO albums_custom_fields_related(id_album,id_key,variant_value,position,register_date) VALUES(_id_album,_id_key,_variant_value,_id_position,now());
    ELSE
        UPDATE albums_custom_fields_related SET variant_value = _variant_value, position = _id_position, update_date = now() WHERE id_album = _id_album AND id_key = _id_key;
    END IF;
    
    SELECT id_variant, id_album,b.id_key, name,name_stripped, variant_value,position, a.register_date FROM albums_custom_fields_related a, albums_custom_fields_keys b
    WHERE a.id_key = b.id_key AND a.id_album = _id_album AND b.id_key = _id_key;     

ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END;

