create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_ALBUMS_TO_GALLERIES(IN _id_gallery INT, IN _id_album INT, IN _position INT)
BEGIN



DECLARE lastposition INT;
DECLARE _old_position INT;
DECLARE _empty INT;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;



START TRANSACTION;
    
    IF EXISTS (SELECT id_gallery FROM galleries WHERE id_gallery = _id_gallery) AND EXISTS (SELECT id_album FROM albums WHERE id_album = _id_album)
    THEN
		
  SELECT count(1) into lastposition FROM albums_galleries_related WHERE id_gallery = _id_gallery;
  SELECT position into _old_position FROM albums_galleries_related WHERE id_album = _id_album AND id_gallery = _id_gallery;
  
  IF(_position = lastposition)
  THEN
    SET _position = _position+1;
  END IF;

      IF NOT EXISTS (SELECT id_gallery FROM albums_galleries_related WHERE id_gallery = _id_gallery AND id_album = _id_album)
  		THEN

        IF(_position = 0)
        THEN
          SET _position = lastposition+1;
        END IF;

        INSERT INTO albums_galleries_related(id_gallery,id_album,position,register_date) VALUES(_id_gallery,_id_album,_position,now());
        SELECT FN_SP_SET_PUBLISH_ASSETS_SYNC_UPDATE(15,_id_gallery) into _empty;
        SELECT FN_SP_SET_PUBLISH_ASSETS_SYNC_UPDATE(151,_id_album) into _empty;
        SELECT FN_SP_SET_PUBLISH_ASSETS_SYNC_UPDATE(150,_id_album) into _empty;
  			SELECT 0 as return_code;
  	
	ELSE
  			

        UPDATE albums_galleries_related SET position = _position, update_date = now() WHERE id_album = _id_album AND id_gallery = _id_gallery;
        
        IF(_position < _old_position)
        THEN
                SET @rownum=0;
                UPDATE albums_galleries_related p, (SELECT @rownum:=@rownum+1 rownum, albums_galleries_related.* FROM albums_galleries_related WHERE id_gallery = _id_gallery ORDER BY position,update_date DESC) r 
                SET p.position = r.rownum
                WHERE (p.id_album = r.id_album AND p.id_gallery = _id_gallery);
        ELSE
                SET @rownum=0;
                UPDATE albums_galleries_related p, (SELECT @rownum:=@rownum+1 rownum, albums_galleries_related.* FROM albums_galleries_related WHERE id_gallery = _id_gallery ORDER BY position,update_date ASC) r 
                SET p.position = r.rownum
                WHERE (p.id_album = r.id_album AND p.id_gallery = _id_gallery);
        END IF;
                    
            IF(_position < _old_position)
            THEN
                INSERT into assets_sync_updated(id_album,action_type,register_date) SELECT id_album,2,now() FROM albums 
                WHERE id_album in (SELECT distinct id_album FROM albums_galleries_related WHERE id_gallery = _id_gallery AND position BETWEEN _position AND _old_position); 
            END IF;
            IF(_position > _old_position)
            THEN
                INSERT into assets_sync_updated(id_album,action_type,register_date) SELECT id_album,2,now() FROM albums 
                WHERE id_album in (SELECT distinct id_album FROM albums_galleries_related WHERE id_gallery = _id_gallery AND position BETWEEN _old_position AND _position); 
            END IF;
            
        SELECT 0 as return_code;

  		END IF;

    ELSE
       SELECT -2 as return_code;
    END IF;    

COMMIT;

END;

