create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_EMBED_TRACKINFO_RELATED(IN _id_trackinfo int(10), IN _id int(10),
                                                                          IN _position int(10),
                                                                          IN _headline varchar(255),
                                                                          IN _title varchar(255),
                                                                          IN _description varchar(255),
                                                                          IN _author varchar(255))
BEGIN


DECLARE sqlcommand text;
DECLARE p_last_id INT UNSIGNED;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF EXISTS (SELECT id FROM assets_embeds WHERE id = _id) 
THEN
	IF EXISTS (SELECT id FROM assets_embeds_trackinfo_related WHERE id_trackinfo = _id_trackinfo)
	THEN
		UPDATE assets_embeds_trackinfo_related SET position = _position,headline = _headline,title = _title,description = _description,author = _author, update_date = now() WHERE id_trackinfo = _id_trackinfo;
	ELSE
		INSERT into assets_embeds_trackinfo_related(id,position,headline,title,description,author,register_date)
		VALUES(_id,_position,_headline,_title,_description,_author,now());
        SET _id_trackinfo = last_insert_id();
	END IF;
	SELECT id_trackinfo,id,position,headline,title,description,author,register_date FROM assets_embeds_trackinfo_related WHERE id_trackinfo = _id_trackinfo;
ELSE
	SELECT -2 as return_code;
END IF;

COMMIT;

END;

