create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_GALLERIES_TAGS(IN _id_tag INT, IN _name VARCHAR(192),
                                                                 IN _name_stripped VARCHAR(192), IN _public TINYINT(1))
BEGIN

DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

SET p_last_id = 0;

START TRANSACTION;

IF(_id_tag = 0 OR _id_tag = -1)
THEN

    IF (((SELECT count(1) FROM galleries_tags WHERE name_stripped = _name_stripped)>0))
    THEN
        SELECT id_tag,name,name_stripped,public FROM galleries_tags WHERE name_stripped = _name_stripped LIMIT 0,1; 
    ELSE
        INSERT into galleries_tags(name,name_stripped,public,register_date) VALUES(_name,_name_stripped,_public,now());        
        SET p_last_id = last_insert_id();
        SELECT id_tag,name,name_stripped,public FROM galleries_tags WHERE id_tag = p_last_id;  
    END IF; 
   
ELSE       
     IF EXISTS (SELECT id_tag FROM galleries_tags WHERE id_tag = _id_tag)
     THEN
	-- 	SELECT FN_SP_SET_PUBLISH_ASSETS_SYNC_UPDATE(50,_id_tag) into _empty;
		UPDATE galleries_tags SET name = _name,name_stripped = _name_stripped,public = _public, update_date = now() WHERE id_tag = _id_tag;
		SELECT id_tag,name,name_stripped,public FROM galleries_tags WHERE id_tag = _id_tag; 
     ELSE
        SELECT -2 as return_code;
     END IF;
END IF;
COMMIT;

END;

