create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_PLAYLIST_SYNC(IN _id_playlist_a INT(10), IN _id_playlist_b INT(10),
                                                                IN _type tinyint(1))
BEGIN

DECLARE p_last_id INT UNSIGNED;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


SET p_last_id = 0;

START TRANSACTION;

IF (SELECT count(1) FROM assets_playlists WHERE id_playlist = _id_playlist_a) AND (SELECT count(1) FROM assets_playlists WHERE id_playlist = _id_playlist_b)
THEN

		IF(_type = 1)
		THEN
        
            INSERT into assets_playlists_related(id_playlist,id_asset,position,register_date)
            SELECT _id_playlist_a, id_asset,position, now() FROM assets_playlists_related WHERE id_playlist = _id_playlist_b AND id_asset not in
            (SELECT id_asset FROM assets_playlists_related WHERE id_playlist = _id_playlist_a); 
            
    SELECT id_playlist, id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,FN_GET_ASSETS_NUM_ASSETS_ON_PLAYLISTS(id_playlist) as total_assets, FN_GET_ASSETS_PLAYLIST_COVER_IMAGE(id_playlist) as cover_image, register_date FROM assets_playlists WHERE id_playlist = _id_playlist_a;
        
        END IF;
        
		IF(_type = 2)
		THEN
        
                    INSERT into assets_playlists_related(id_playlist,id_asset,position,register_date)
            SELECT _id_playlist_a, id_asset,position, now() FROM assets_playlists_related WHERE id_playlist = _id_playlist_b AND id_asset not in
            (SELECT id_asset FROM assets_playlists_related WHERE id_playlist = _id_playlist_a); 
            
                        INSERT into assets_playlists_related(id_playlist,id_asset,position,register_date)
            SELECT _id_playlist_b, id_asset,position, now() FROM assets_playlists_related WHERE id_playlist = _id_playlist_a AND id_asset not in
            (SELECT id_asset FROM assets_playlists_related WHERE id_playlist = _id_playlist_b); 
        
    SELECT id_playlist, id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,FN_GET_ASSETS_NUM_ASSETS_ON_PLAYLISTS(id_playlist) as total_assets, FN_GET_ASSETS_PLAYLIST_COVER_IMAGE(id_playlist) as cover_image, register_date FROM assets_playlists WHERE id_playlist = _id_playlist_a;
                            
        END IF;
        
		IF(_type = 3)
		THEN
        
            INSERT into assets_playlists_related(id_playlist,id_asset,position,register_date)
            SELECT _id_playlist_b, id_asset,position, now() FROM assets_playlists_related WHERE id_playlist = _id_playlist_a AND id_asset not in
            (SELECT id_asset FROM assets_playlists_related WHERE id_playlist = _id_playlist_b); 
            
		  SELECT id_playlist, id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,FN_GET_ASSETS_NUM_ASSETS_ON_PLAYLISTS(id_playlist) as total_assets, FN_GET_ASSETS_PLAYLIST_COVER_IMAGE(id_playlist) as cover_image, register_date FROM assets_playlists WHERE id_playlist = _id_playlist_b;
        
        END IF;
        
		IF(_type not in (1,2,3))
		THEN
            SELECT -3 as return_code;
        END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

