create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_TRANSFER(IN _id_transfer INT, IN _id_directory INT,
                                                           IN _name VARCHAR(192), IN _code varchar(255),
                                                           IN _password varchar(255), IN _end_date datetime,
                                                           IN _active tinyint(1), IN _image_optimization varchar(255),
                                                           IN _watermark_image varchar(255), IN _settings text,
                                                           IN _content_type tinyint(1))
BEGIN
	
	-- CALL SP_SET_ASSETS_TRANSFER(0,1,'names','code','pass','0000-00-00',1,'','','',1)
	
DECLARE p_last_id INT UNSIGNED;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
    SELECT -1 as return_code;
    rollback;
  END;
-- ###########################


START TRANSACTION;

IF(_id_transfer = 0 OR _id_transfer = -1)
THEN
	IF NOT EXISTS(SELECT id_transfer FROM assets_transfers WHERE code = _code)
	THEN
	   INSERT INTO assets_transfers(id_directory,name,code,password,end_date,active,content_type,image_optimization,watermark_image,settings,register_date) VALUES(_id_directory,_name,_code,_password,_end_date,_active,_content_type,_image_optimization,_watermark_image,_settings,now());
	   SET p_last_id = last_insert_id();
    SELECT id_transfer, id_directory,name, code, password, end_date,active,FN_GET_ASSETS_NUM_ON_TRANSFERS(id_transfer) as total_content,register_date,
	FN_GET_ASSETS_TRANSFER_COVER_IMAGE(id_transfer) as cover_image, content_type,image_optimization,watermark_image,settings 
	FROM assets_transfers WHERE id_transfer = p_last_id;
	ELSE
		SELECT -2 as return_code;
	END IF;
ELSE
	IF EXISTS (SELECT id_transfer FROM assets_transfers WHERE id_transfer = _id_transfer)
	THEN	   
		UPDATE assets_transfers SET id_directory = _id_directory, name = _name, password = _password, end_date = _end_date, active = _active, image_optimization = _image_optimization, watermark_image = _watermark_image,settings = _settings,update_date = now() WHERE id_transfer = _id_transfer;
    SELECT id_transfer, id_directory,name, code, password, end_date,active,FN_GET_ASSETS_NUM_ON_TRANSFERS(id_transfer) as total_content,register_date,
	FN_GET_ASSETS_TRANSFER_COVER_IMAGE(id_transfer) as cover_image, content_type,image_optimization,watermark_image,settings 
	FROM assets_transfers WHERE id_transfer = _id_transfer;
	ELSE
		SELECT -2 as return_code;
	END IF;
END IF;  
  
COMMIT;

END;

