create
    definer = skoiypp@`%` procedure SP_SET_LIVE_COMPOSED_SWAP_LIVE_TO_VIDEO(IN _id_composed INT, IN _id_video INT)
BEGIN

DECLARE _id_profile INT UNSIGNED;
DECLARE _totalProfiles INT UNSIGNED;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF (SELECT count(1) FROM video_composed WHERE id_composed = _id_composed) 
THEN

SELECT id_profile into _id_profile FROM video_composed WHERE id_composed = _id_composed;
SELECT count(1) into _totalProfiles FROM video_profiles WHERE id_profile = _id_profile AND live_profile = 1;

	IF(_totalProfiles = 1)
	THEN
			
            UPDATE video_profiles SET live_profile = 0 WHERE id_profile = _id_profile; 
            UPDATE video_composed SET id_video = _id_video, id_live = null, end_date = '' WHERE id_composed = _id_composed;
			SELECT FN_GET_VIDEO_IS_LIVE_COMPOSED(vc.id_composed) as type,vc.id_composed,vc.id_profile,vc.id_video,id_live,id_directory,FN_GET_VIDEO_THUMBNAIL(vc.id_video) as thumbnail, image,publish_date,unpublish_date,begin_date,end_date,color,os_graphics_image,os_graphics_position,os_graphics_size,os_graphics_padding,set_thumbnail,set_inside_social,set_autoplay,set_play_inline,set_play_mark,set_webvtt,vc.register_date, title, description, name,seconds,vc.state,FN_GET_VIDEO_IS_COMPOSED_ON_STICKERS(vc.id_composed) as on_sticker
			FROM video_composed vc, videos v, video_profiles_l10n vp
			WHERE vc.id_video = v.id_video AND vc.id_profile = vp.id_profile AND v.deleted = 0 AND FN_GET_VIDEO_IS_LIVE_PROFILE(vp.id_profile) = 0 AND id_composed = _id_composed;

	IF NOT EXISTS(SELECT id_composed FROM video_composed_playlists_related WHERE id_composed = _id_composed)
    THEN
		IF EXISTS(SELECT id_playlist FROM video_sync_live_log WHERE id_composed = _id_composed AND id_playlist is not null)
        THEN
			INSERT into video_composed_playlists_related(id_playlist,id_composed, position,register_date)
			SELECT id_playlist,_id_composed,1,now() FROM video_sync_live_log WHERE id_composed = _id_composed and id_playlist is not null;
			UPDATE video_composed SET state = '4' WHERE id_composed = _id_composed AND state NOT IN ('5');
        END IF;
    END IF;

	INSERT INTO video_sync_updated(id_sync,id_rev_sync,id_composed,action_type,register_date) 
    SELECT id_sync,id_rev_sync,id_composed,2,now() FROM video_composed  WHERE id_composed = _id_composed;

 	INSERT INTO video_sync_updated(id_sync_player,id_rev_sync_player,id_composed,action_type,sync_type,register_date) 
    SELECT id_sync_player,id_rev_sync_player,id_composed,2,2,now() FROM video_composed WHERE id_composed = _id_composed;

	ELSE
		SELECT -3 as return_code;
	END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

