create
    definer = skoiypp@`%` procedure SP_SET_POSTS_L10N_BODY_GROUP(IN _id_group int(10), IN _id_l10n int(10),
                                                                 IN _title varchar(255), IN _publish_date datetime,
                                                                 IN _draft tinyint(1), IN _restricted tinyint(1),
                                                                 IN _settings varchar(255))
BEGIN



DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;
DECLARE _token VARCHAR(255);


DECLARE exit handler for sqlexception
  BEGIN
    
    SELECT -1 as return_code;
    rollback;
  END;


SET p_last_id = 0;

START TRANSACTION;

IF EXISTS (SELECT id_l10n FROM posts_l10n WHERE id_l10n = _id_l10n)
THEN

IF(_id_group = 0 OR _id_group = -1)
THEN

	SELECT SUBSTRING(MD5(RAND()) from 1 for 10) into _token;
	WHILE NOT EXISTS(SELECT count(1) FROM posts_l10n_body_groups WHERE token = _token)
	DO
		SELECT SUBSTRING(MD5(RAND()) from 1 for 10) into _token;
	END WHILE;

        INSERT into posts_l10n_body_groups(id_l10n,title,publish_date,draft,restricted,settings,token,position,register_date) VALUES(_id_l10n,_title,_publish_date,_draft,_restricted,_settings,_token,1,now());        
        SET p_last_id = last_insert_id();
        SELECT id_group,id_l10n,(SELECT id_post FROM posts_l10n pl WHERE pl.id_l10n = psg.id_l10n) as id_post,title,publish_date,draft,restricted,settings,token,register_date FROM posts_l10n_body_groups psg WHERE id_group = p_last_id; 
ELSE       
     IF EXISTS (SELECT id_group FROM posts_l10n_body_groups WHERE id_group = _id_group)
     THEN
		UPDATE posts_l10n_body_groups SET title = _title,publish_date = _publish_date,draft = _draft,restricted = _restricted,settings = _settings,update_date = now() WHERE id_group = _id_group;
        SELECT FN_SP_SET_PUBLISH_POSTS_SYNC_UPDATE(100,_id_group) into _empty;
		SELECT id_group,id_l10n,(SELECT id_post FROM posts_l10n pl WHERE pl.id_l10n = psg.id_l10n) as id_post,title,publish_date,draft,restricted,settings,token,register_date FROM posts_l10n_body_groups psg WHERE id_group = _id_group; 
     ELSE
        SELECT -2 as return_code;
     END IF;
END IF;

ELSE
        SELECT -2 as return_code;
END IF;

COMMIT;

END;

