create
    definer = skoiypp@`%` procedure SP_SET_POSTS_L10N_BODY_GROUP_CUSTOM_FIELDS_VARIANTS(IN _id_group int(10),
                                                                                        IN _id_key int(10),
                                                                                        IN _variant_value varchar(255),
                                                                                        IN _id_position int(10))
BEGIN

DECLARE _empty INT;


DECLARE exit handler for sqlexception
  BEGIN
    
    SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF EXISTS (SELECT id_group FROM posts_l10n_body_groups WHERE id_group = _id_group) AND EXISTS (SELECT id_key FROM posts_l10n_body_groups_custom_fields_keys WHERE id_key = _id_key)
THEN

    IF NOT EXISTS(SELECT id_group FROM posts_l10n_body_groups_custom_fields_related WHERE id_group = _id_group AND id_key = _id_key)
    THEN
        INSERT INTO posts_l10n_body_groups_custom_fields_related(id_group,id_key,variant_value,position,register_date) VALUES(_id_group,_id_key,_variant_value,_id_position,now());
    ELSE
        UPDATE posts_l10n_body_groups_custom_fields_related SET variant_value = _variant_value, position = _id_position, update_date = now() WHERE id_group = _id_group AND id_key = _id_key;
    END IF;
    
    SELECT id_variant, id_group,b.id_key,b.field_type, name,name_stripped, variant_value,position, a.register_date FROM posts_l10n_body_groups_custom_fields_related a, posts_l10n_body_groups_custom_fields_keys b
    WHERE a.id_key = b.id_key AND a.id_group = _id_group AND b.id_key = _id_key;     

ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END;

