create
    definer = skoiypp@`%` procedure SP_SET_POSTS_MESSAGES_GROUPS(IN _id_group int(10), IN _id_type int(10),
                                                                 IN _name varchar(255), IN _name_stripped varchar(255),
                                                                 IN _domain varchar(255),
                                                                 IN _tracking_parameters varchar(255))
BEGIN

DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF EXISTS (SELECT id_group FROM posts_messages_groups WHERE id_group = _id_group)
THEN
	UPDATE posts_messages_groups SET name = _name, name_stripped = _name_stripped, domain = _domain,tracking_parameters = _tracking_parameters WHERE id_group = _id_group;
	SELECT id_group,id_type,name,name_stripped,domain,tracking_parameters, FN_GET_POSTS_MESSAGES_NUM_ITEMS_ON_GROUP(id_group) as total,update_date, register_date FROM posts_messages_groups WHERE id_group = _id_group;
ELSE

	INSERT into posts_messages_groups(id_type,name,name_stripped,domain,tracking_parameters,register_date)
	VALUES (_id_type,_name,_name_stripped,_domain,_tracking_parameters,now());
	SET p_last_id = last_insert_id();
	SELECT id_group,id_type,name,name_stripped,domain,tracking_parameters, FN_GET_POSTS_MESSAGES_NUM_ITEMS_ON_GROUP(id_group) as total,update_date, register_date FROM posts_messages_groups WHERE id_group = p_last_id;

END IF;

COMMIT;

END;

