create
    definer = skoiypp@`%` procedure SP_SET_VIDEO_STICKERS_MENU_ITEMS(IN _id_sticker INT(10), IN _id_item INT(10),
                                                                     IN _parent_id_item INT(10), IN _name VARCHAR(255),
                                                                     IN _description VARCHAR(255),
                                                                     IN _item_type INT(10), IN _item_action INT(10),
                                                                     IN _item_value VARCHAR(255),
                                                                     IN _image VARCHAR(255), IN _color VARCHAR(255),
                                                                     IN _tracking_parameters VARCHAR(255),
                                                                     IN _position INT(10))
BEGIN





DECLARE p_last_id INT UNSIGNED;
DECLARE _currentposition INT;
DECLARE _empty INT;


START TRANSACTION;

IF EXISTS (SELECT id_sticker FROM video_stickers WHERE id_sticker = _id_sticker)
THEN

SELECT position into _currentposition FROM video_stickers_menu_items WHERE id_item = _id_item AND id_sticker = _id_sticker;

IF (_id_item < 1)
THEN
	IF NOT EXISTS (SELECT id_item FROM video_stickers_menu_items WHERE id_item = 1 AND id_sticker = _id_sticker)
	THEN
		INSERT INTO video_stickers_menu_items(id_sticker,id_item,name,register_date) VALUES(_id_sticker,1,'root',now());
        SELECT count(1) into @NextItemId FROM video_stickers_menu_items WHERE id_sticker = _id_sticker;
		SET @NextItemId = @NextItemId+1;

		INSERT INTO video_stickers_menu_items(id_item,id_sticker,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,register_date) 
        VALUES(@NextItemId,_id_sticker,_name,_description,_item_type,_item_action,_item_value,_image,_color,_tracking_parameters,_position,now());
		SET p_last_id = @NextItemId;
		
        INSERT INTO video_stickers_menu_items_parent_related(id_sticker,id_item,parent_id_item, register_date) VALUES(_id_sticker,p_last_id,1,now()) ON DUPLICATE KEY UPDATE update_date = now();
		SELECT id_sticker,id_item,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,update_date,register_date FROM video_stickers_menu_items WHERE id_item = p_last_id AND id_sticker = _id_sticker;
	ELSE
		IF (_parent_id_item < 1)
		THEN
                SELECT count(1) into @NextItemId FROM video_stickers_menu_items WHERE id_sticker = _id_sticker;
				SET @NextItemId = @NextItemId+1;
        
			INSERT INTO video_stickers_menu_items(id_item,id_sticker,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,register_date) 
            VALUES(@NextItemId,_id_sticker,_name,_description,_item_type,_item_action,_item_value,_image,_color,_tracking_parameters,_position,now());
			SET p_last_id = @NextItemId;
		
			INSERT INTO video_stickers_menu_items_parent_related(id_sticker,id_item,parent_id_item, register_date) VALUES(_id_sticker,p_last_id,1,now()) ON DUPLICATE KEY UPDATE update_date = now();
			SELECT id_sticker,id_item,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,update_date,register_date FROM video_stickers_menu_items WHERE id_item = p_last_id AND id_sticker = _id_sticker;
		ELSE
			IF EXISTS (SELECT id_item FROM video_stickers_menu_items WHERE id_item = _parent_id_item AND id_sticker = _id_sticker)
			THEN
               
                SELECT count(1) into @NextItemId FROM video_stickers_menu_items WHERE id_sticker = _id_sticker;
				SET @NextItemId = @NextItemId+1;
                
				INSERT INTO video_stickers_menu_items(id_item,id_sticker,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,register_date) VALUES(@NextItemId,_id_sticker,_name,_description,_item_type,_item_action,_item_value,_image,_color,_tracking_parameters,_position,now());
				SET p_last_id = @NextItemId;
				INSERT INTO video_stickers_menu_items_parent_related(id_sticker,id_item,parent_id_item, register_date) VALUES(_id_sticker,p_last_id,_parent_id_item,now()) ON DUPLICATE KEY UPDATE update_date = now();
				SELECT id_sticker,id_item,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,update_date,register_date FROM video_stickers_menu_items WHERE id_item = p_last_id AND id_sticker = _id_sticker;
			ELSE
				SELECT -2 as return_code;
			END IF;
		
		END IF;

	END IF;
    
				SET @rownum=0;
				UPDATE video_stickers_menu_items c, (
                SELECT @rownum:=@rownum+1 rownum,t.* FROM (
                (SELECT video_stickers_menu_items.* FROM video_stickers_menu_items WHERE id_sticker = _id_sticker AND deleted = 0 AND id_item <> _parent_id_item AND id_item in (SELECT id_item FROM video_stickers_menu_items_parent_related WHERE parent_id_item = _parent_id_item AND id_sticker = _id_sticker ))
                ) as t ORDER BY position,update_date DESC ) as r
				SET c.position = r.rownum
				WHERE (c.id_item = r.id_item AND c.id_sticker = _id_sticker);

ELSE 
	IF NOT EXISTS (SELECT id_item FROM video_stickers_menu_items WHERE id_item = _id_item AND id_sticker = _id_sticker)
	THEN
		SELECT -2 as return_code;
	ELSE
		IF (_id_item = 1)
		THEN
			SELECT id_sticker,id_item,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,update_date,register_date FROM video_stickers_menu_items WHERE id_item = _id_item AND id_sticker = _id_sticker;
		ELSE
        
			IF EXISTS (SELECT id_item FROM video_stickers_menu_items WHERE id_item = _parent_id_item)
			THEN
            
				UPDATE video_stickers_menu_items SET name = _name,description = _description,item_type = _item_type,item_action = _item_action,item_value = _item_value,image = _image,color = _color,tracking_parameters = _tracking_parameters,position = _position, update_date = now() WHERE id_item = _id_item AND id_sticker = _id_sticker;
				UPDATE video_stickers_menu_items_parent_related SET parent_id_item = _parent_id_item, update_date = now() WHERE id_item = _id_item AND id_sticker = _id_sticker;
				SELECT id_sticker,id_item,name,description,item_type,item_action,item_value,image,color,tracking_parameters,position,update_date,register_date FROM video_stickers_menu_items WHERE id_item = _id_item AND id_sticker = _id_sticker;
                
			IF(_position < _currentposition AND 1)
            THEN
				SET @rownum=0;
				UPDATE video_stickers_menu_items c, (
                SELECT @rownum:=@rownum+1 rownum,t.* FROM (
                (SELECT video_stickers_menu_items.* FROM video_stickers_menu_items WHERE id_sticker = _id_sticker AND deleted = 0 AND id_item <> _parent_id_item AND id_item in (SELECT id_item FROM video_stickers_menu_items_parent_related WHERE parent_id_item = _parent_id_item AND id_sticker = _id_sticker ))
                ) as t ORDER BY position,update_date DESC ) as r
				SET c.position = r.rownum
				WHERE (c.id_item = r.id_item AND c.id_sticker = _id_sticker);
			END IF;
            
			IF(_position > _currentposition AND 1)
            THEN
				SET @rownum=0;
				UPDATE video_stickers_menu_items c, (
                SELECT @rownum:=@rownum+1 rownum,t.* FROM (
                (SELECT video_stickers_menu_items.* FROM video_stickers_menu_items WHERE id_sticker = _id_sticker AND deleted = 0 AND id_item <> _parent_id_item AND id_item in (SELECT id_item FROM video_stickers_menu_items_parent_related WHERE parent_id_item = _parent_id_item AND id_sticker = _id_sticker ))
                ) as t ORDER BY position,update_date ASC ) as r
				SET c.position = r.rownum
				WHERE (c.id_item = r.id_item AND c.id_sticker = _id_sticker);
            END IF;
            
			ELSE
				SELECT -2 as return_code;
			END IF;
		END IF;	

	END IF;
END IF;
	SELECT FN_SP_SET_PUBLISH_VIDEO_SYNC_UPDATE(75,_id_sticker) into _empty;
ELSE
	SELECT -2 as return_code;
END IF;

COMMIT;

END;

