<?php namespace Stage\Ad\Campaign;

class Query
{

    // 1st field
    const ALL           = 0;
    const NAME          = 1;
    const TAGS          = 1000;     // tags separated with % (tag1%tag2%...)
    const MONTH         = 2;
    const YEAR          = 3;
    const ACTIVE        = 4;    // field=4, value=5
    const INACTIVE      = 5;    // field=5, value=5

    // 2snd
    const BY_CMAPAIGN_ID    = 100;
    const BY_COMPOSE        = 101;
    const WITH_ADTAGS       = 102;
    const BY_ADTAG_ID       = 103;
    const WITH_VIDEOS       = 104;
    const BY_VIDEO_ID       = 105;
//    const IN_CAMPAIGNS      = 106;
    const IN_COMPOSES       = 106;
    const BY_CODE_ID        = 108;
    const WITH_CODE         = 107;

    // 3trd

    const ORDER_BY_NAME_ASC  = 11000;
    const ORDER_BY_NAME_DESC = 10000;

    const ORDER_BY_REGISTER_DATE_ASC  = 11001;
    const ORDER_BY_REGISTER_DATE_DESC = 10001;

    const ORDER_BY_BEGIN_DATE_ASC  = 11002;
    const ORDER_BY_BEGIN_DATE_DESC = 10002;

    const ORDER_BY_END_DATE_ASC  = 11003;
    const ORDER_BY_END_DATE_DESC = 10003;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $sndBy = 0;

    /**
     * @var
     */
    public $trdBy = 0;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $sndFilter = "";

    /**
     * @var
     */
    public $trdFilter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var
     */
    public $fromSize = 0;

    /**
     * @var
     */
    public $toSize = 0;

    /**
     * @var
     */
    public $orderBy = 0;

    /**
     * @var
     */
    public $order = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
