<?php namespace Stage\Ad\Tag;

class Query
{
    const ALL                   = 0; // Da-me as Tags todas independentemente do termo de pesquisa
    const NAME                  = 1;
    const IS_PUBLIC             = 2;
    const IS_PRIVATE            = 3;
    const IN_VIDEOS             = 4;
    const BY_VIDEO_ID           = 5;
    const IN_CAMPAIGNS          = 6;
    const BY_CAMPAIGN_ID        = 7;
    const DUPLICATED            = 8;
    const TAGS_NUMBER_OF_TIME   = 9;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
