<?php namespace Stage\Archive\Tag;

class Query
{
    const ALL           = 0; // Da-me as Tags todas independentemente do termo de pesquisa
    const NAME          = 1;
    const IS_PUBLIC     = 2;
    const IS_PRIVATE    = 3;

    const IN_VIDEOS     = 4;
    const IN_CLIPS      = 5;
    const VIDEO         = 6;
    const CLIP          = 7;
    const IN_SEGMENTS   = 8;
    const DUPLICATED    = 9;
    const TAGS_NUMBER_OF_TIME = 10;
    const BY_TAG_THAT_HAS_KEY_ID    = 11;
    const BY_TAG_ID                 = 13;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var int
     */
    public $idGroup = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
