<?php namespace Stage\Archive\Transfer\Content;

class Query
{
    const ALL           = 0;  // name, description and tags
    const NAME          = 1;
    const IS_CLIP       = 2;
    const MONTH         = 3;
    const YEAR          = 4;
    const STATE         = 5;
    const MIME_TYPE     = 6;
    const RESOLUTION    = 7;
    const SIZE          = 8;
    const VIDEO         = 9;    // Todas as transfers que contêm o video
    const CLIP          = 10;   // Todas as transfers que contêm o clip

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var
     */
    public $fromSize = 0;

    /**
     * @var
     */
    public $toSize = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
