<?php namespace Stage\Archive\Transfer;

class Query
{
    const ALL           = 1;    // name or code
    const NAME          = 2;    // Fint transfer pelo name
    const CODE          = 3;    // Find transfer pelo codigo
    const ACTIVE        = 4;    // Mostra todas as transfers activas ( 0 - Non active, 1 - Active )
    const VIDEO         = 5;    // Todas as transfers que contêm o videos
    const CLIP          = 6;    // Todas as transfers que contêm o clips

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var
     */
    public $fromSize = 0;

    /**
     * @var
     */
    public $toSize = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
