<?php namespace Stage\Archive\Video\Transcode\Preview;

class Query
{
    const ALL           = 0;  // name, description and tags
    const NAME          = 1;
    const TAGS          = 1000;  // tags separated with % (tag1%tag2%...)
    const MONTH         = 2;
    const YEAR          = 3;
    const STATE         = 4;
    const RESOLUTION    = 5;
    const RATIO         = 6;
    const MIME_TYPE     = 7;
    const SIZE          = 8;
    const DURATION      = 9;
    const BITRATE       = 10;

    const VIDEO         = 100;   // Mostra todos os clips do video pelo id
    const ACCOUNT       = 101;   // Filtrar por id account
    const MACHINE       = 102;   //
    const IS_RUNNING    = 103;  // Mostra todos os clips que têm transfers
    const LASTX         = 14;
    const FILENAME      = 106;

    const ORDER_BY_NAME_ASC  = 11000;
    const ORDER_BY_NAME_DESC = 10000;

    const ORDER_BY_REGISTER_DATE_ASC  = 11001;
    const ORDER_BY_REGISTER_DATE_DESC = 10001;

    const ORDER_BY_SIZE_ASC  = 11002;
    const ORDER_BY_SIZE_DESC = 10002;

    const ORDER_BY_EXTENSION_ASC  = 11003;
    const ORDER_BY_EXTENSION_DESC = 10003;

    const ORDER_BY_SECONDS_ASC  = 11004;
    const ORDER_BY_SECONDS_DESC = 10004;

    /**
     * @var
     */
    public $idDirectory = 0;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $sndBy = 0;

    /**
     * @var
     */
    public $trdBy = 0;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $sndFilter = "";

    /**
     * @var
     */
    public $trdFilter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var
     */
    public $orderBy = 0;

    /**
     * @var
     */
    public $order = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
