<?php namespace Stage\Asset\Album\Query;

class Album
{
    const ALL           = 0;  // name, description and tags
    const NAME          = 1;
    const DESCRIPTION   = 2;

    const DIRECTORIES   = 1000; // directories ids separated by comma (id1,id2,...)
    const BY_ALBUM      = 100;

    const ORDER_BY_NAME_ASC  = 11000;
    const ORDER_BY_NAME_DESC = 10000;

    const ORDER_BY_REGISTER_DATE_ASC  = 11001;
    const ORDER_BY_REGISTER_DATE_DESC = 10001;

    /**
     * @var
     */
    public $idDirectory = 0;

    /**
     * @var
     */
    public $by = 0;

    /**
     * @var
     */
    public $sndBy = 0;

    /**
     * @var
     */
    public $trdBy = 0;

    /**
     * @var
     */
    public $term = "";  // Search by name or description

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $sndFilter = "";

    /**
     * @var
     */
    public $trdFilter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var
     */
    public $orderBy = 0;

    /**
     * @var
     */
    public $order = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
