<?php namespace Stage\Asset\Download;

class Query
{
    const ALL                   = 0;
    const NAME_OR_CODE          = 1;
    const NAME                  = 2;
    const CODE                  = 3;
    const ACTIVE                = 4;
    const COMPRESS_ENABLED      = 5;
    const COMPRESS_RUNNING      = 6;
    const COMPRESS_COMPLETED    = 7;
    const COMPRESS_NOT_RUNNING_AND_NOT_COMPLETED = 8;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;


    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
