<?php namespace Stage\Asset\Gallery\Query;

class Album
{
    const ALL           = "0";  // NAME, DESCRIPTION

    const ORDER_ASC     = "1";
    const ORDER_DESC    = "2";

    const ORDER_BY_NAME = "1";

    /**
     * @var
     */
    public $by = self::ALL;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $order = "";     // ORDER_ASC | ORDER_DESC

    /**
     * @var
     */
    public $orderBy = self::ORDER_BY_NAME;   // ORDER_BY_NAME

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
