<?php namespace Stage\Sprite;

class Job
{

    /**
     * @var
     */
    private $idQueue;

    /**
     * @var
     */
    private $idAccount;

    /**
     * @var
     */
    private $accountToken;

    /**
     * @var
     */
    private $idVideo;

    /**
     * @var
     */
    private $video;

    /**
     * @var
     */
    private $spritew;

    /**
     * @var
     */
    private $spritespan;

    /**
     * @var
     */
    private $spritecol;

    /**
     * @var
     */
    private $with;

    /**
     * @var
     */
    private $height;

    /**
     * @var
     */
    private $seconds;

    /*** @var
     */
    private $aspecRatio;

    public function getIdQueue()
    {
        return $this->idQueue;
    }

    public function getIdAccount()
    {
        return $this->idAccount;
    }

    public function getAccountToken()
    {
        return $this->accountToken;
    }

    public function getIdVideo()
    {
        return $this->idVideo;
    }

    public function getVideo()
    {
        return $this->video;
    }

    public function getSpriteW()
    {
        return $this->spritew;
    }

    public function getSpriteSpan()
    {
        return $this->spritespan;
    }

    public function getSpriteCol()
    {
        return $this->spritecol;
    }

    public function getWith()
    {
        return $this->with;
    }

    public function getHeight()
    {
        return $this->height;
    }

    public function getSeconds()
    {
        return $this->seconds;
    }

    public function getAspecRatio()
    {
        return $this->aspecRatio;
    }

    public function setIdQueue($idQueue)
    {
        $this->idQueue = $idQueue;
    }

    public function setIdAccount($idAccount)
    {
        return $this->idAccount = $idAccount;
    }

    public function setAccountToken($accountToken)
    {
        return $this->accountToken = $accountToken;
    }

    public function setIdVideo($idVideo)
    {
        return $this->idVideo = $idVideo;
    }

    public function setVideo($video)
    {
        return $this->video = $video;
    }

    public function setSpritew($spritew)
    {
        return $this->spritew = $spritew;
    }

    public function setSpriteSpan($span)
    {
        return $this->spritespan = $span;
    }

    public function setSpriteCol($col)
    {
        return $this->spritecol = $col;
    }

    public function setWith($with)
    {
        return $this->with = $with;
    }

    public function setHeight($height)
    {
        return $this->height = $height;
    }

    public function setSeconds($seconds)
    {
        return $this->seconds = $seconds;
    }

    public function setAspecRatio($aspecRatio)
    {
        return $this->aspecRatio = $aspecRatio;
    }

    /**
     * The model's attributes.
     *
     * @var array
     */
    protected $attributes = array('idQueue','idAccount','accountToken', 'idVideo', 'spritew', 'spritespan', 'spritecol','width','height','seconds','aspectRatio');

    /**
     * The attributes that should be mutated to dates.
     *
     * @var array
     */
    protected $dates = array();

    public function __construct()
    {
    }

    /**
     * Convert the model instance to JSON.
     *
     * @param  int  $options
     * @return string
     */
    public function toJson()
    {
        return json_encode($this->toArray());
    }

    /**
     * Convert the model instance to an array.
     *
     * @return array
     */
    public function toArray()
    {
        $attributes = $this->attributesToArray();
        return $attributes;
    }

    /**
     * Convert the model's attributes to an array.
     *
     * @return array
     */
    public function attributesToArray()
    {
        $attributes = $this->attributes;
        $arr = array();

        foreach ($attributes as $attribute) {
            $arr[$attribute] = $this->$attribute;
        }

        return $arr;
    }

    /**
     * createInstance
     *
     * @param $data
     * @return Job
     */
    public static function createInstance($data)
    {
        $j = new self();
        $j->setIdQueue($data['id_queue']);
        $j->setIdAccount($data['id_account']);
        $j->setAccountToken($data['account_token']);
        $j->setIdVideo($data['id_video']);

        if (isset($data['video'])) {
            $j->setVideo($data['video']);
        }

        if (isset($data['spritew'])) {
            $j->setSpritew($data['spritew']);
        }

        if (isset($data['spritespan'])) {
            $j->setSpriteSpan($data['spritespan']);
        }

        if (isset($data['spritecol'])) {
            $j->setSpriteCol($data['spritecol']);
        }

        if (isset($data['width'])) {
            $j->setWith($data['width']);
        }

        if (isset($data['height'])) {
            $j->setHeight($data['height']);
        }

        if (isset($data['seconds'])) {
            $j->setSeconds($data['seconds']);
        }

        if (isset($data['aspect_ratio'])) {
            $j->setAspecRatio($data['aspect_ratio']);
        }

        return $j;
    }

    public function __toString()
    {
        return "My id is: {$this->getIdAccount()}\n";
    }
}
