DROP PROCEDURE IF EXISTS SP_GET_VIDEO_MESSAGES_VIDEO_COMPOSED;
create
    definer = skoiypp@`%` procedure SP_GET_VIDEO_MESSAGES_VIDEO_COMPOSED(IN _field int(10), IN _id_message int(10),
                                                                         IN _query varchar(192),
                                                                         IN _filter varchar(192), IN _limit_a int(10),
                                                                         IN _limit_b int(10), IN _order int(10),
                                                                         IN _order_by int(10))
BEGIN
	



DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN

	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM video_messages_video_composed_related WHERE id_message = _id_message;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_message = _id_message;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT IF(id_live is null,0,1) as type,vc.id_composed,vpl.title, vpl.iso_language FROM video_messages_video_composed_related ptr, video_composed vc, video_profiles_l10n vpl WHERE vc.id_profile = vpl.id_profile AND vc.id_composed = ptr.id_composed AND vpl.iso_language = (SELECT iso_language FROM video_messages WHERE id_message = @_id_message) AND ptr.id_message = @_id_message ";


CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY ptr.register_date ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY ptr.register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END;

