<?php

    require_once dirname(__DIR__) . '/bootstrap.php';

    use Stage\Helper as Helper;
    use Stage\Account\Account as Account;
    use Stage\Account\Api;

    try {

        /*
        $account = Account::find(3, Account::ID);
        $apis = $account->apis(true);

        $d = array_map(function($api){
            return $api->toArray();
        },$apis);

        print_r($d);
        */

        // Add an API
        $api = new Api();
        $api->setApiKey(Helper::generateToken(16));
        $api->setActive(true);
        $api->setDomains("http://www.sapo.pt");
        $api->setIsPublic(false);

        $e = $account->addApi($api);
        print_r($e->toArray());
    } catch (Exception $e) {
        echo $e->getMessage();
    }
