<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;

    try {
        $idApiToRemove = 21;

        $account = Account::find(16, Account::ID);
        $apis = $account->apis();

        //print_r($apis);

        // Filter/Find the Api
        $api = array_values(array_filter($apis, function ($api) use ($idApiToRemove) {
            return $api->getId() == $idApiToRemove;
        }));

        if (sizeof($api) > 0) {
            $api_ = $account->removeApi($api[0]);
            print_r($api_);
        }
    } catch (Exception $e) {
        echo $e->getMessage();
        print_r($e->getCode());
    }
