<?php

    require_once '../bootstrap.php';

    use Stage\Stage as Stage;
    use Stage\Asset\Asset;
    use Stage\Asset\Directory;

    $asset = new Asset();

    $id = Directory::ROOT;
    $id = Directory::find(150)->getId();
    $asset->setDirectoryId($id);
    $asset->setName("landscape");
    $asset->setDescription("Its a landscape");
    $asset->setImageTitle("landscape");
    $asset->setImageAlterText("A");
    $asset->setLink("B");
    $asset->setFilename("landscape");
    $asset->setExtension("png");
    $asset->setMimeType("image/png");
    $asset->setSize(12345678);
    $asset->setWidth(800);
    $asset->setHeight(600);


    // Save the asset
    try {
        $asset->save();
        print_r($asset);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
