<?php

    require_once '../../bootstrap.php';

    try {
        $gallery = \Stage\Asset\Gallery\Gallery::find(1);
        $query = new \Stage\Asset\Gallery\Query\Album();
        $albums = $gallery->albums($query);

        print_r(array_map(function ($album) {
            return $album->toArray();
        }, $albums));
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
