<?php

    require_once '../bootstrap.php';

    use Stage\Asset\Directory;
    use Stage\Asset\Query;

    try {
        $directory = Directory::find(169);

        $query = new Query();
        $query->by = Query::ALL;
        $query->term = "bruno";
        $query->filter = "";
        $query->from = 0;
        $query->to = -1;

        $assets = Directory::assets($query, $directory->getId());

        $assetsArray = array_map(function ($asset) {
            return $asset->toArray();
        }, $assets);

        print_r($assetsArray);

        //print_r($directory);
        print_r($directory->toArray());
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
