<?php

    require_once '../bootstrap.php';

    use Stage\Asset\Asset;

    try {
        $mimeTypes      = Asset::systemTags(1);       // Give the mimeType
        print_r($mimeTypes);
        $resolutions    = Asset::systemTags(2);       // Give the resolutions
//        print_r($resolutions);

        $ranges = [[0,5*1024*1024],[(5*1024*1024)+1,10*1024*1024],[(10*1024*1024)+1,(20*1024*1024)],[(20*1024*1024)+1,(30*1024*1024)],[(30*1024*1024)+1,(999*1024*1024)]];
        $temp = array_map(function ($range) {
            $total = Asset::systemTags(3, $range[0], $range[1]);
            return ['range'=>$range, 'total'=> (int) $total[0]['total']];
        }, $ranges);

        print_r($temp);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
