<?php

    require_once '../../bootstrap.php';

    use Stage\Stage as Stage;

    try {

        // 1. Create a Post query object
        $query = new \Stage\Asset\Tag\Query();
        $query->by = \Stage\Asset\Tag\Query::ALL; // Search by title, description, tags_stripped
        //$query->by = \Stage\Tag\Query::NAME; // Search By name
        //$query->by = \Stage\Tag\Query::IS_PUBLIC; // Search By public
        //$query->by = \Stage\Tag\Query::IS_PRIVATE;  // Search By non-public

        $query->term = "Hello";
        $query->from = 0;
        $query->to = -1;

        // 2. Execute the query
        $result = \Stage\Asset\Tag\Tag::query($query);

        // Modify the output
        $modified = array_map(function ($tag) {

            //print_r($tag);
            return $tag->toArray();
        }, $result);
        print_r($modified);
    } catch (Exception $e) {
        echo $e->getMessage();
        echo $e->getCode();
    }
