<?php

    require_once '../bootstrap.php';

    use \Stage\Asset\Asset;
    use \Stage\Asset\Directory;

    try {

        // Find a asset
        $asset = Asset::find(78);
        $asset->setName(str_shuffle("new folder"));
        $asset->setDescription(str_shuffle("new folder"));
        $asset->setImageTitle("some");
        $asset->setImageAlterText("some2233");
        $asset->setLink("LINK");

        // Find a directory
        $directory = Directory::find(150);
        $id = $directory->getId();
        //$id = Directory::ROOT;

        // Set the new directory
        $asset->setDirectoryId($id);

        // Save the directory
        $asset->save();

        print_r($asset->toArray());
        //echo $asset->getDirectory()->getId();
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
