<?php

    require_once '../bootstrap.php';

    use Stage\Account\Account;
    use Stage\Lead\Tag\Tag;
    use Stage\Lead\Tag\Query;

    try {

        // 1. Find an Account
        $idAccount = 10;
        $account = Account::find($idAccount, Account::ID);

        // Get all results
        $q = new Query();
        $q->by = Query::NAME;
        $q->term = "some";
        $q->from = 0;
        $q->to = -1;

        $data = Tag::query($q, $account);
        print_r($data);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
