<?php

    require_once '../../bootstrap.php';

    try {
        $query = new \Stage\Post\Author\Query();
        $query->term = "bruno";
        $query->from = 0;
        $query->to = -1;

        $totalResults = \Stage\Post\Author\Author::queryCount($query);
        echo $totalResults;

        $result = \Stage\Post\Author\Author::query($query);
        print_r($result);
    } catch (\Stage\Exception\StoredProcedure $e) {
        print_r(['error'=>
            ['message'=> $e->getMessage(),
                'type'=>'',
                'object' => $e->getObject(),
                'code'=> $e->getCode()]
        ]);
    } catch (Exception $e) {
        echo $e->getMessage();
    }
