<?php

    require_once '../../bootstrap.php';

    use Stage\Stage as Stage;

    // 1. Get the Stage instance
    $stageInstance = Stage::getInstance();

    // 2. Use the connection of the client database
    $stageInstance->useConnection('client');

    try {

        // 5. Get a Dossier or create one
        $id_dossier = 24;
        $dossier = \Stage\Post\Dossier\Dossier::find($id_dossier);

        // 5. Create a new Collection
        $collection = new \Stage\Post\Collection\Collection();
        $collection->setName("some");
        $collection->setDomain("some");
        $collection->setDefaultDossier($dossier);

        $collection->save();

        print_r($collection->getDefaultDossier()->getId());
    } catch (Exception $e) {
        echo $e->getMessage();
    }
