<?php

    require_once '../../bootstrap.php';

    use Stage\Stage as Stage;

    $stageInstance = Stage::getInstance();
    $stageInstance->useConnection('client');

    try {

        // 1. Create a Post query object
        $query = new \Stage\Post\Tag\Query();
        $query->by = \Stage\Post\Tag\Query::ALL; // Search by title, description, tags_stripped
        //$query->by = \Stage\Post\Tag\Query::NAME; // Search By name
        //$query->by = \Stage\Post\Tag\Query::IS_PUBLIC; // Search By public


        $query->term = "new";
        $query->from = 0;
        $query->to = 20;

        // 2. Execute the query
        $result = \Stage\Post\Tag\Tag::query($query);

        // Modify the output
        $modified = array_map(function ($post) {

            //print_r($post);
            return $post->toArray();
        }, $result);
        print_r($modified);
    } catch (Exception $e) {
        echo $e->getMessage();
        echo $e->getCode();
    }
