<?php

require_once dirname(__DIR__) . DIRECTORY_SEPARATOR . 'bootstrap.php';

use Stage\Transcoding\Transcoding;

try {
    $transconding = new Transcoding();
    $transconding->setIdAccount(1);
    $transconding->setAccountToken("aa");
    $transconding->setIdVideo(1);
    $transconding->setInputPath("/mnt/data/");
    $transconding->setOutputPath("/mnt/data/");
    $transconding->setFilename("xyz.webm");
    $transconding->setSource("/mnt/data/");
    $transconding->setWith(1280);
    $transconding->setHeight(720);
    $transconding->setSeconds(1455220);
    $transconding->setAspecRatio(55);
    $transconding->setAudioCodec("h264");
    $transconding->setAudioRate(125);
    $transconding->setVideoRate(126);
    $transconding->setVersion("v1");

    $transconding->save();
    //print_r($transconding->toArray());
} catch (Exception $e) {
    echo $e->getMessage();
    echo $e->getCode();
}
