<?php

    require_once '../bootstrap.php';

    use Stage\Role;
    use Stage\Account\User as User;
    use Stage\Account\Account as Account;

    try {
        $user = User::find(1, User::ID);
        $account = Account::find(3, Account::ID);
        $role = Role::find(1);
        $user->associateTo($account, $role);
        print_r($user);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        print_r($e->getObject());
    } catch (Exception $e) {
        echo $e->getMessage();
        // echo $e->getCode();
    }
