<?php

    require_once '../../bootstrap.php';

    use Stage\Video\Query;

    try {
        $q = new Query();
        $q->term = "Bruno";
        $q->by = Query::ALL;
        $q->from = 0;
        $q->to = -1;

        $idDirectory = 0;
        $videos = \Stage\Video\Directory::videos($q, $idDirectory);
        print_r($videos);
    } catch (\Stage\Exception\StoredProcedure $e) {
        echo $e->getMessage();
        echo $e->getCode();
        print_r($e->getObject());
    } catch (\Exception $e) {
        echo $e->getMessage();
    }
