<?php

    require_once '../../bootstrap.php';

    use Stage\Video\Profile\Profile;
    use Stage\Video\Profile\Metadata\Metadata;
    use Stage\Video\Tag\Tag;

    try {
        $profile = Profile::find(71);
        $profile->setTitle("TITLE");
        $profile->setDescription("Hello");

        $profile->save();

        // Update the tags
        // 1. First remove all the Tags
        $profile->removeAllTags();

        foreach ([1,2] as $tag) {
            try {
                $t = Tag::find($tag);
                $profile->tag($t);
            } catch (Exception $e) {
            }
        }

        print_r($profile->toArray());
    } catch (Exception $e) {
        echo $e->getMessage();
    }
