create
    definer = skoiypp@`%` procedure SP_EXTERNAL_GET_ASSETS_ASSETS_ON_TRANSFERS(IN _id_transfer int, IN _field int(10),
                                                                               IN _query varchar(192),
                                                                               IN _filter varchar(192), IN _limit_a int,
                                                                               IN _limit_b int)
BEGIN
	
	

DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;



START TRANSACTION;

SET @_id_transfer = _id_transfer;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT atr.id_transfer, a.id_asset,a.id_directory,public,id_storage,id_cdn,name,description,image_title,image_alter_text,link,filename,extension,mime_type,size,width,height,state,public,a.created_date, a.register_date,atr.position
				FROM assets a, assets_transfers_assets_related atr
 WHERE a.id_asset = atr.id_asset AND a.deleted = 0 AND a.public = 1 AND atr.id_transfer = @_id_transfer ";

SET sqlcommand = CONCAT(sqlcommand," ORDER BY position LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;


COMMIT;

END;

