create
    definer = skoiypp@`%` procedure SP_EXTERNAL_GET_ASSETS_TRANSFER(IN _code VARCHAR(255))
BEGIN

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF (SELECT count(1) FROM assets_transfers WHERE code = _code)
THEN
   SELECT id_transfer, id_directory,management_name,name,description, code, password, end_date,active,FN_GET_ASSETS_NUM_ON_TRANSFERS(id_transfer) as total_content,register_date,
	FN_GET_ASSETS_TRANSFER_COVER_IMAGE(id_transfer) as cover_image, content_type,image_optimization,watermark_image,settings,view_only,verify_identity,compress_enabled 
	FROM assets_transfers WHERE code = _code;
ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

