create
    definer = skoiypp@`%` procedure SP_GET_ACCOUNT_TEAMS(IN _id_account int(10), IN _field int(10),
                                                         IN _query varchar(192), IN _filter varchar(192),
                                                         IN _order int(10), IN _order_by int(10), IN _limit_a int(10),
                                                         IN _limit_b int(10))
BEGIN

-- call SP_GET_ACCOUNT_TEAMS(1,3,'','',0,0,0,10)

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
	  SELECT count(1) into _limit_b FROM teams WHERE id_account = _id_account;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_team = _filter;
SET @_id_user = _filter;
SET @_id_account = _id_account;
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_team,id_account,name,name_stripped,description,position,active,update_date,register_date FROM teams WHERE id_account = @_id_account ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_team = @_id_team ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_team in (SELECT id_team FROM users_teams_related WHERE id_user = @_id_user) ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END;

