create
    definer = skoiypp@`%` procedure SP_GET_ACCOUNT_TEAM_USERS(IN _id_account int(10), IN _id_team int(10),
                                                              IN _field int(10), IN _query varchar(192),
                                                              IN _filter varchar(192), IN _order int(10),
                                                              IN _order_by int(10), IN _limit_a int(10),
                                                              IN _limit_b int(10))
BEGIN
	

	
DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF(_limit_b = -1)
THEN
		SELECT count(1) into _limit_b FROM users_teams_related WHERE id_team = _id_team;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_user = _filter;
SET @_id_account = _id_account;
SET @_id_team = _id_team;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_team,u.id_user, user_token, firstname, lastname, email, password,verified, ur.active, lang, ur.register_date FROM users u, users_teams_related ur WHERE u.id_user = ur.id_user AND ur.id_team = @_id_team ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND firstname like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND u.id_user like @_id_user ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY firstname ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END;

