create
    definer = skoiypp@`%` procedure SP_GET_ACCOUNT_TEAM_USERS_COUNT(IN _id_account int(10), IN _id_team int(10),
                                                                    IN _field int(10), IN _query varchar(192),
                                                                    IN _filter varchar(192))
BEGIN
	
-- call SP_GET_ACCOUNT_TEAM_USERS_COUNT(1,1,1,'',1)
	
DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

SET @_name = CONCAT("%",_query,"%");
SET @_id_user = _filter;
SET @_id_account = _id_account;
SET @_id_team = _id_team;

SET sqlcommand = "SELECT count(1) as total FROM users u, users_teams_related ur WHERE u.id_user = ur.id_user AND ur.id_team = @_id_team ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND firstname like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND u.id_user like @_id_user ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END;

