create
    definer = skoiypp@`%` procedure SP_GET_ALBUMS_CUSTOM_FIELDS_KEYS_COUNT(IN _field int(10), IN _query varchar(192), IN _filter varchar(192))
BEGIN
-- call SP_GET_ALBUMS_CUSTOM_FIELDS_KEYS_COUNT(10,'',1)
DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;


SET @_name = CONCAT("%",_query,"%");
SET @_num_x = _filter;


SET sqlcommand = "SELECT count(1) as total FROM albums_custom_fields_keys at WHERE visible = 1 ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 1 AND name like @_name ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 0 AND name like @_name ");
WHEN _field = 5 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_key in (SELECT distinct id_key FROM albums_custom_fields_keys) AND name like @_name ");

WHEN _field = 9 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name_stripped in (SELECT name_stripped FROM (SELECT count(1) as total,name_stripped FROM albums_custom_fields_keys GROUP BY name_stripped) as tt WHERE total > 1) AND name like @_name ");
WHEN _field = 10 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND FN_GET_ALBUMS_CUSTOM_FIELDS_KEYS_TOTAL_ALBUMS(id_key) = @_num_x AND name like @_name ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;  
  
        
COMMIT;

END;

