create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_ALBUMS_ON_GALLERIES(IN _id_gallery int(10), IN _query varchar(192),
                                                                      IN _order int(10), IN _order_by int(10),
                                                                      IN _limit_a int(10), IN _limit_b int(10))
BEGIN



DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

SET @_id_gallery = _id_gallery;

SET @_query = _query;

SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT agr.id_gallery, agr.id_album, a.id_directory, a.name, a.description, a.link,image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,
FN_GET_ASSETS_NUM_IMAGENS_ON_ALBUMS(a.id_album) as total_images, FN_GET_ASSETS_ALBUM_COVER_IMAGE(a.id_album) as cover_image, agr.register_date,agr.position
	FROM albums_galleries_related agr, albums a WHERE FN_GET_ASSETS_ALBUM_DIRECTORY_IS_DELETED(a.id_directory) = 0 AND a.id_album = agr.id_album AND agr.id_gallery = @_id_gallery ";

IF(_limit_b = -1)
THEN
	SELECT count(1) into _limit_b FROM albums_galleries_related WHERE id_gallery = _id_gallery;
	SET @_limit_b = _limit_b;
END IF;

IF(_query <> '')
THEN
   SET @_query = CONCAT("%",_query,"%");
   SET sqlcommand = CONCAT(sqlcommand," AND (a.name like @_query OR a.description like @_query ) ");
END IF;

CASE
WHEN _order_by = 1 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, "ORDER BY a.name ASC");
WHEN _order_by = 1 AND _order = 2 THEN SET sqlcommand = CONCAT(sqlcommand, "ORDER BY a.name DESC");
WHEN _order_by = 2 AND _order = 2 THEN SET sqlcommand = CONCAT(sqlcommand, "ORDER BY a.register_date DESC");
ELSE SET sqlcommand = CONCAT(sqlcommand, "ORDER BY agr.position ASC");
END CASE;

 SET sqlcommand = CONCAT(sqlcommand," LIMIT ?,?");

SET @sqlcommand = sqlcommand;

PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;   

COMMIT;

END;

