create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_ASSETS_ON_TRANSFERS_COUNT(IN _id_transfer int, IN _field int(10),
                                                                            IN _query varchar(192),
                                                                            IN _filter varchar(192))
BEGIN

DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;



START TRANSACTION;

SET @_id_transfer = _id_transfer;
SET @_name = CONCAT("%",_query,"%");
SET @_cfilter = _filter;
SET @_public = _filter;
SET @_filter = CONCAT("%",_filter,"%");
SET @_year = year(_filter);
SET @_month = month(_filter);


SET sqlcommand = "SELECT count(1) as total
				FROM assets a, assets_transfers_assets_related atr
 WHERE a.id_asset = atr.id_asset AND a.deleted = 0 AND atr.id_transfer = @_id_transfer ";


CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = @_public ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (year(a.register_date) = @_year AND month(a.register_date) = @_month) AND (name like @_name ) ");
WHEN _field = 4 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (year(a.register_date) = @_year) AND (name like @_name ) ");

	ELSE SET sqlcommand = CONCAT(sqlcommand, " ");
END CASE;

SET @sqlcommand = sqlcommand;

PREPARE stmt FROM @sqlcommand;
EXECUTE stmt; 

COMMIT;

END;

