create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_DIRECTORIES(IN _id_directory int(10), IN _field int(10),
                                                              IN _query varchar(192), IN _filter varchar(192),
                                                              IN _limit_a int(10), IN _limit_b int(10),
                                                              IN _order_by int(10), IN _order int(10))
BEGIN


	
	
DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

SET @_id_directory = _id_directory;
SET @dir = _id_directory;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;


IF(_field = 0)
THEN
    SELECT ad.id_directory, parent_id_directory, name, description, link,public,FN_GET_ASSETS_NUM_ITEMS_ON_DIRECTORY(ad.id_directory) as total_items, ad.register_date FROM assets_directories ad, assets_directories_parent_related adpr
    WHERE ad.id_directory = adpr.id_directory AND deleted = 0 ORDER BY name;
END IF;

IF(_field = 10) 
THEN

DROP TEMPORARY TABLE IF EXISTS assets_breadcrumb_tmp;
CREATE TEMPORARY TABLE IF NOT EXISTS assets_breadcrumb_tmp SELECT 0 as id_directory,'-------------------------------------------------------------------' as name;

IF EXISTS (SELECT id_directory FROM assets_directories WHERE id_directory = _id_directory)
THEN
		WHILE(@dir <> 1)
        DO
        	INSERT into assets_breadcrumb_tmp VALUES(@dir,(SELECT name FROM assets_directories WHERE id_directory = @dir));
        	SELECT parent_id_directory into @dir FROM assets_directories_parent_related WHERE id_directory = @dir;
        END WHILE;
END IF;

       SELECT id_directory,'' as parent_id_directory, name, '' as description, '' as link,1 as public,'' as total_items, '' as register_date from assets_breadcrumb_tmp WHERE id_directory > 0;

ELSE

    SET sqlcommand = "SELECT ad.id_directory, parent_id_directory, name, description, link,public,FN_GET_ASSETS_NUM_ITEMS_ON_DIRECTORY(ad.id_directory) as total_items, ad.register_date FROM assets_directories ad, assets_directories_parent_related adpr
    WHERE ad.id_directory = adpr.id_directory AND deleted = 0 AND parent_id_directory = @_id_directory "; 

    IF(_limit_b = -1)
    THEN
      SELECT count(1) into @_limit_b FROM assets_directories_parent_related WHERE parent_id_directory = @_id_directory;
    END IF;

    SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name LIMIT ?,?");

    SET @sqlcommand = sqlcommand;
    PREPARE stmt FROM @sqlcommand;
    EXECUTE stmt USING @_limit_a,@_limit_b;

END IF;


COMMIT;

END;

