create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_PLAYLISTS_CUSTOM_FIELDS_KEYS(IN _field int(10),
                                                                               IN _query varchar(192),
                                                                               IN _filter varchar(192), IN _limit_a int,
                                                                               IN _limit_b int)
BEGIN
-- CALL SP_GET_ASSETS_PLAYLISTS_CUSTOM_FIELDS_KEYS(0,"","",0,-1)
DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM assets_playlists_custom_fields_keys;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_num_x = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT a.id_key, name,name_stripped, public, FN_GET_ASSETS_PLAYLISTS_CUSTOM_FIELDS_KEYS_TOTAL_PLAYLISTS(a.id_key) as total, regex,fixed_field,read_only,field_type, default_value, is_mandatory, autofill 
                    FROM assets_playlists_custom_fields_keys a LEFT JOIN assets_playlists_custom_fields_keys_related b ON a.id_key = b.id_key WHERE visible = 1";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 1 AND name like @_name ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 0 AND name like @_name ");
WHEN _field = 5 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND a.id_key in (SELECT distinct id_key FROM assets_playlists_custom_fields_keys) AND name like @_name ");

WHEN _field = 9 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name_stripped in (SELECT name_stripped FROM (SELECT count(1) as total,name_stripped FROM assets_playlists_custom_fields_keys GROUP BY name_stripped) as tt WHERE total > 1) AND name like @_name ");
WHEN _field = 10 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND FN_GET_ASSETS_PLAYLISTS_CUSTOM_FIELDS_KEYS_TOTAL_PLAYLISTS(a.id_key) = @_num_x AND name like @_name ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " ORDER BY position LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;  
  
        
COMMIT;

END;

