create
    definer = skoiypp@`%` procedure SP_GET_ASSETS_TRANSFERS_COUNT(IN _id_directory int(10), IN _field int(10),
                                                                  IN _field_snd int(10), IN _field_trd int(10),
                                                                  IN _query varchar(192), IN _filter varchar(192),
                                                                  IN _filter_snd varchar(192),
                                                                  IN _filter_trd varchar(192))
BEGIN

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;


SET @_query = CONCAT("%",_query,"%");
SET @_cfilter = _filter;
SET @_id_directory = _id_directory;

SET sqlcommand = "SELECT count(1) as total FROM assets_transfers WHERE 1=1 "; 

    IF (_id_directory > 0)
    THEN
       SET sqlcommand = CONCAT(sqlcommand," AND id_directory = @_id_directory ");
    END IF;

CASE
WHEN _field = 1 THEN SET sqlcommand = CONCAT(sqlcommand," AND (name like @_query or code like @_query ) ");
WHEN _field = 2 THEN SET sqlcommand = CONCAT(sqlcommand," AND (name like @_query ) ");
WHEN _field = 3 THEN SET sqlcommand = CONCAT(sqlcommand," AND (code like @_query ) ");
WHEN _field = 4 THEN SET sqlcommand = CONCAT(sqlcommand," AND (active = @_cfilter ) AND (name like @_query ) ");
WHEN _field = 5 THEN SET sqlcommand = CONCAT(sqlcommand," AND (id_transfer in (SELECT id_transfer FROM assets_transfers_assets_related WHERE id_asset = @_cfilter )) ");
WHEN _field = 6 THEN SET sqlcommand = CONCAT(sqlcommand," AND (id_transfer in (SELECT id_transfer FROM assets_transfers_assets_directories_related WHERE id_directory = @_cfilter )) ");
WHEN _field = 7 THEN SET sqlcommand = CONCAT(sqlcommand," AND (content_type = @_cfilter ) AND (name like @_query ) ");


ELSE SET sqlcommand = CONCAT(sqlcommand, " ");
END CASE;

SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;    
        
COMMIT;

END;

