create
    definer = skoiypp@`%` procedure SP_GET_POSTS_L10N_BODY_GROUPS_CUSTOM_FIELDS_KEYS(IN _id_type int(10),
                                                                                     IN _field int(10),
                                                                                     IN _query varchar(192),
                                                                                     IN _filter varchar(192),
                                                                                     IN _limit_a int, IN _limit_b int)
BEGIN

DECLARE sqlcommand text;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM posts_stickers_custom_fields_keys;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_num_x = _filter;
SET @_post_type = _id_type;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

	SET sqlcommand = "SELECT id_key, name,name_stripped, public, regex,fixed_field,read_only,field_type, '' as default_value, 0 as is_mandatory, 0 as autofill FROM posts_l10n_body_groups_custom_fields_keys at WHERE id_type = @_post_type AND visible = 1 ";

CASE
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name like @_name ");
WHEN _field = 2 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 1 AND name like @_name ");
WHEN _field = 3 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND public = 0 AND name like @_name ");
WHEN _field = 5 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_key in (SELECT distinct id_key FROM posts_l10n_body_groups_custom_fields_keys) AND name like @_name ");

WHEN _field = 9 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND name_stripped in (SELECT name_stripped FROM (SELECT count(1) as total,name_stripped FROM posts_l10n_body_groups_custom_fields_keys GROUP BY name_stripped) as tt WHERE total > 1) AND name like @_name ");
ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " ORDER BY name LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;  
  
        
COMMIT;

END;

