create
    definer = skoiypp@`%` procedure SP_GET_POSTS_MESSAGES(IN _field int(10), IN _id_type int(10),
                                                          IN _query varchar(192), IN _filter varchar(192),
                                                          IN _limit_a int(10), IN _limit_b int(10), IN _order int(10),
                                                          IN _order_by int(10))
BEGIN

-- CALL SP_GET_POSTS_MESSAGES(0,0,'','',0,10,0,0)

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF(_limit_b = -1)
THEN
  SELECT count(1) into _limit_b FROM posts_messages;
END IF;

SET @_name = CONCAT("%",_query,"%");
SET @_id_type = _id_type;
SET @_id_message = _filter;
SET @_id_asset = _filter;
SET @_id_post = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;

SET sqlcommand = "SELECT id_message,id_type,iso_language,management_name,title,message,image,link,begin_date,state,register_date FROM posts_messages WHERE 1=1 ";

CASE 
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (management_name like @_name OR title like @_name) ");
WHEN _field = 11 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_message like @_id_sticker AND (management_name like @_name OR title like @_name) ");
WHEN _field = 13 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_type = @_id_type AND name like @_name ");
WHEN _field = 23 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (FN_GET_ASSETS_ID_BY_FILENAME(image) = @_id_asset) AND (management_name like @_name OR title like @_name) ");
WHEN _field = 6 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_message in (SELECT id_message FROM posts_messages_posts_related WHERE id_post = @_id_post) AND (management_name like @_name OR title like @_name) ");
WHEN _field = 30 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND begin_date <= now() AND state = 3 ");

ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

	IF (_id_type > 0)
	THEN
	   SET sqlcommand = CONCAT(sqlcommand," AND id_type = @_id_type ");
	END IF;

CASE
WHEN _order_by = 11000 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title ASC");
WHEN _order_by = 11001 AND _order = 1 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date ASC");

WHEN _order_by = 11000 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title DESC");
WHEN _order_by = 11001 AND _order = 0 THEN SET sqlcommand = CONCAT(sqlcommand, " ORDER BY register_date DESC");

ELSE SET sqlcommand = CONCAT(sqlcommand, " ORDER BY title ASC");
END CASE;

SET sqlcommand = CONCAT(sqlcommand, " LIMIT ?,?");
SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;     
        
COMMIT;

END;

