create
    definer = skoiypp@`%` procedure SP_GET_POSTS_MESSAGES_COUNT(IN _field int(10), IN _id_type int(10),
                                                                IN _query varchar(192), IN _filter varchar(192))
BEGIN

-- CALL SP_GET_POSTS_MESSAGES_COUNT(0,0,'','')

DECLARE sqlcommand text;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;



SET @_name = CONCAT("%",_query,"%");
SET @_id_type = _id_type;
SET @_id_message = _filter;
SET @_id_asset = _filter;
SET @_id_post = _filter;


SET sqlcommand = "SELECT count(1) as total FROM posts_messages WHERE 1=1 ";

CASE 
WHEN _field = 1 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (management_name like @_name OR title like @_name) ");
WHEN _field = 11 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_message like @_id_sticker AND (management_name like @_name OR title like @_name) ");
WHEN _field = 13 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_type = @_id_type AND name like @_name ");
WHEN _field = 23 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND (FN_GET_ASSETS_ID_BY_FILENAME(image) = @_id_asset) AND (management_name like @_name OR title like @_name) ");
WHEN _field = 6 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND id_message in (SELECT id_message FROM posts_messages_posts_related WHERE id_post = @_id_post) AND (management_name like @_name OR title like @_name) ");
WHEN _field = 30 THEN SET sqlcommand =  CONCAT(sqlcommand, " AND begin_date <= now() AND state = 3 ");

ELSE SET sqlcommand = CONCAT(sqlcommand, "");
END CASE;

	IF (_id_type > 0)
	THEN
	   SET sqlcommand = CONCAT(sqlcommand," AND id_type = @_id_type ");
	END IF;


SET @sqlcommand = sqlcommand;
   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt;     
        
COMMIT;

END;

