create
    definer = skoiypp@`%` procedure SP_GET_PUBLISH_VIDEO_MGO_BY_STICKERS(IN _field int(10), IN _filter varchar(255),
                                                                         IN _limit_a int(10), IN _limit_b int(10))
BEGIN




DECLARE _last_publish DATETIME;

DECLARE t1_c text;

DECLARE sqlcommand text;

DECLARE sqlcommand_stmt_update text;
DECLARE sqlcommand_update text;
DECLARE sqlcommand_update_video_composes text;
DECLARE sqlcommand_update_live_composes text;
DECLARE sqlcommand_update_playlists text;
DECLARE sqlcommand_update_channels text;

START TRANSACTION;

IF(_field = 1)
THEN
    SET _last_publish = '0000-00-00 00:00:00';
ELSE
  IF(SELECT count(1) FROM video_publish_log_2 WHERE date(end_publish_date) <> '0000-00-00')
  THEN
    SELECT end_publish_date into _last_publish FROM video_publish_log_2 WHERE date(end_publish_date) <> '0000-00-00' ORDER by id_publish desc LIMIT 0,1;
  ELSE
    SET _last_publish = '0000-00-00 00:00:00';
  END IF;
END IF;


SET @_last_publish = _last_publish;
SET @_id_sticker = _filter;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;


SELECT max(snapshot) into @maxsnapshot FROM video_composed_snapshot_stickers_related WHERE id_sticker = @_id_sticker;
DROP TEMPORARY TABLE IF EXISTS video_snapshot_tmp_composed;
SET @sqlcommand_stmt_snapshot = "CREATE TEMPORARY TABLE IF NOT EXISTS video_snapshot_tmp_composed SELECT distinct(id_composed) from video_composed_snapshot_stickers_related WHERE id_sticker = @_id_sticker AND snapshot in (@maxsnapshot,@maxsnapshot-1)";

PREPARE stmt_snapshot FROM @sqlcommand_stmt_snapshot;
EXECUTE stmt_snapshot;

DROP TEMPORARY TABLE IF EXISTS video_snapshot_tmp_live_composed;
SET @sqlcommand_stmt_snapshot = "CREATE TEMPORARY TABLE IF NOT EXISTS video_snapshot_tmp_live_composed SELECT distinct(id_composed) from video_composed_snapshot_stickers_related WHERE id_sticker = @_id_sticker AND snapshot in (@maxsnapshot,@maxsnapshot-1)";

PREPARE stmt_snapshot FROM @sqlcommand_stmt_snapshot;
EXECUTE stmt_snapshot;

SELECT max(snapshot) into @maxsnapshot FROM playlists_snapshot_stickers_related WHERE id_sticker = @_id_sticker;
DROP TEMPORARY TABLE IF EXISTS video_snapshot_tmp_playlist;
SET @sqlcommand_stmt_snapshot = "CREATE TEMPORARY TABLE IF NOT EXISTS video_snapshot_tmp_playlist SELECT distinct(id_playlist) from playlists_snapshot_stickers_related WHERE id_sticker = @_id_sticker AND snapshot in (@maxsnapshot,@maxsnapshot-1)";

PREPARE stmt_snapshot FROM @sqlcommand_stmt_snapshot;
EXECUTE stmt_snapshot;

SELECT max(snapshot) into @maxsnapshot FROM channels_snapshot_stickers_related WHERE id_sticker = @_id_sticker;
DROP TEMPORARY TABLE IF EXISTS video_snapshot_tmp_channel;
SET @sqlcommand_stmt_snapshot = "CREATE TEMPORARY TABLE IF NOT EXISTS video_snapshot_tmp_channel SELECT distinct(id_channel) from channels_snapshot_stickers_related WHERE id_sticker = @_id_sticker AND snapshot in (@maxsnapshot,@maxsnapshot-1)";

PREPARE stmt_snapshot FROM @sqlcommand_stmt_snapshot;
EXECUTE stmt_snapshot;




 DROP TEMPORARY TABLE IF EXISTS video_publish_tmp_update;
SET t1_c = "CREATE TEMPORARY TABLE IF NOT EXISTS video_publish_tmp_update ";

SET sqlcommand_update_video_composes = "SELECT 1 as type,2 as action_type,vc.id_composed as id,iso_language as lang, vc.update_date, vc.register_date FROM video_composed vc,video_profiles_l10n vpln,video_snapshot_tmp_composed psy WHERE vc.id_profile = vpln.id_profile AND FN_GET_VIDEO_IS_LIVE_COMPOSED(vc.id_composed) = 0 AND psy.id_composed = vc.id_composed AND FN_GET_VIDEO_IS_DELETED(vc.id_video) = 0";
SET sqlcommand_update_live_composes = "SELECT 11 as type,2 as action_type,vc.id_composed as id,iso_language as lang, vc.update_date, vc.register_date FROM video_composed vc,video_profiles_l10n vpln,video_snapshot_tmp_live_composed psy WHERE vc.id_profile = vpln.id_profile AND FN_GET_VIDEO_IS_LIVE_COMPOSED(vc.id_composed) = 1 AND psy.id_composed = vc.id_composed AND FN_GET_VIDEO_IS_DELETED(vc.id_video) = 0";

SET sqlcommand_update_playlists = "SELECT 2 as type,2 as action_type,p.id_playlist as id,iso_language as lang, p.update_date, p.register_date FROM playlists p, playlists_l10n pln, video_snapshot_tmp_playlist psy WHERE p.id_playlist = pln.id_playlist AND psy.id_playlist = p.id_playlist";
SET sqlcommand_update_channels = "SELECT 3 as type,2 as action_type,c.id_channel as id,iso_language as lang,c.update_date, c.register_date FROM channels c, channels_l10n as cln, video_snapshot_tmp_channel psy WHERE c.id_channel = cln.id_channel AND psy.id_channel = c.id_channel";

SET sqlcommand_update = CONCAT(sqlcommand_update_video_composes," UNION ",sqlcommand_update_live_composes," UNION ",sqlcommand_update_playlists," UNION ",sqlcommand_update_channels);

SET @sqlcommand_stmt_update = CONCAT(t1_c,sqlcommand_update);

PREPARE stmt_update FROM @sqlcommand_stmt_update;
EXECUTE stmt_update;


SELECT count(1) into @total FROM(
SELECT * FROM video_publish_tmp_update) as tt;

IF(_limit_b = -1)
THEN
	SET @_limit_b = @total; 
END IF;


SET sqlcommand ="
SELECT *,@total as total FROM(
SELECT * FROM video_publish_tmp_update) as tt LIMIT ?,?";

SET @sqlcommand = sqlcommand;

PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;

COMMIT;

END;

