create
    definer = skoiypp@`%` procedure SP_GET_PUBLISH_VIDEO_STICKERS_MGO(IN _field int(10), IN _filter varchar(255),
                                                                      IN _limit_a int(10), IN _limit_b int(10))
BEGIN



DECLARE _last_publish DATETIME;
DECLARE t1_a text;
DECLARE t1_b text;
DECLARE t1_c text;

DECLARE sqlcommand text;

DECLARE sqlcommand_stmt_new text;
DECLARE sqlcommand_create text;
DECLARE sqlcommand_new_stickers text;
DECLARE sqlcommand_new_stickers_groups text;

DECLARE sqlcommand_stmt_delete text;
DECLARE sqlcommand_delete text;
DECLARE sqlcommand_delete_stickers text;
DECLARE sqlcommand_delete_stickers_groups text;

DECLARE sqlcommand_stmt_update text;
DECLARE sqlcommand_update text;
DECLARE sqlcommand_update_stickers text;
DECLARE sqlcommand_update_stickers_groups text;
DECLARE sqlcommand_update_stickers_feed text;

START TRANSACTION;

IF(_field = 1)
THEN
    SET _last_publish = '0000-00-00 00:00:00';
ELSE
  IF(SELECT count(1) FROM video_publish_log_2 WHERE date(end_publish_date) <> '0000-00-00')
  THEN
    SELECT end_publish_date into _last_publish FROM video_publish_log_2 WHERE date(end_publish_date) <> '0000-00-00' ORDER by id_publish desc LIMIT 0,1;
  ELSE
    SET _last_publish = '0000-00-00 00:00:00';
  END IF;
END IF;

SET @_last_publish = _last_publish;
SET @_limit_a = _limit_a;
SET @_limit_b = _limit_b;


DROP TEMPORARY TABLE IF EXISTS video_publish_stickers_tmp_create;

SET t1_a = "CREATE TEMPORARY TABLE IF NOT EXISTS video_publish_stickers_tmp_create ";


SET sqlcommand_new_stickers = "SELECT 5 as type,1 as action_type,vc.id_sticker as id, vc.update_date, vc.register_date FROM video_stickers vc WHERE vc.register_date > @_last_publish " ;
SET sqlcommand_new_stickers_groups = "SELECT 6 as type,1 as action_type,vc.id_group as id, vc.update_date, vc.register_date FROM video_stickers_groups vc WHERE vc.register_date > @_last_publish " ;

SET sqlcommand_create = CONCAT(sqlcommand_new_stickers," UNION ",sqlcommand_new_stickers_groups);

SET @sqlcommand_stmt_new = CONCAT(t1_a,sqlcommand_create);

PREPARE stmt_create FROM @sqlcommand_stmt_new;
EXECUTE stmt_create;




 DROP TEMPORARY TABLE IF EXISTS video_publish_stickers_tmp_update;
SET t1_c = "CREATE TEMPORARY TABLE IF NOT EXISTS video_publish_stickers_tmp_update ";

SET sqlcommand_update_stickers = "SELECT 5 as type,action_type,vc.id_sticker as id, vc.update_date, vc.register_date FROM video_stickers vc,video_sync_updated_2 psy WHERE psy.id_sticker = vc.id_sticker";
SET sqlcommand_update_stickers_groups = "SELECT 6 as type,action_type,vc.id_group as id, vc.update_date, vc.register_date FROM video_stickers_groups vc,video_sync_updated_2 psy WHERE psy.id_sticker_group = vc.id_group";
SET sqlcommand_update_stickers_feed = "SELECT 7 as type,action_type,vc.id_sticker as id, vc.update_date, vc.register_date FROM video_stickers vc,video_sync_updated_2 psy WHERE psy.id_sticker_feed = vc.id_sticker";

SET sqlcommand_update = CONCAT(sqlcommand_update_stickers," UNION ",sqlcommand_update_stickers_groups," UNION ",sqlcommand_update_stickers_feed);

SET @sqlcommand_stmt_update = CONCAT(t1_c,sqlcommand_update);

PREPARE stmt_update FROM @sqlcommand_stmt_update;
EXECUTE stmt_update;




DROP TEMPORARY TABLE IF EXISTS video_publish_stickers_tmp_delete;
SET t1_b = "CREATE TEMPORARY TABLE IF NOT EXISTS video_publish_stickers_tmp_delete ";

SET sqlcommand_delete_stickers = "SELECT 5 as type,3 as action_type,id_sticker as id,'' as update_date,register_date FROM video_sync_deleted_2 WHERE register_date > @_last_publish AND id_sticker > 0 AND last_sync_date = '0000-00-00 00:00:00'";
SET sqlcommand_delete_stickers_groups = "SELECT 6 as type,3 as action_type,id_sticker_group as id,'' as update_date,register_date FROM video_sync_deleted_2 WHERE register_date > @_last_publish AND id_sticker_group > 0 AND last_sync_date = '0000-00-00 00:00:00'";

SET sqlcommand_delete = CONCAT(sqlcommand_delete_stickers," UNION ",sqlcommand_delete_stickers_groups);

SET @sqlcommand_stmt_delete = CONCAT(t1_b,sqlcommand_delete);

PREPARE stmt_delete FROM @sqlcommand_stmt_delete;
EXECUTE stmt_delete;

SELECT count(1) into @total FROM(
SELECT * FROM video_publish_stickers_tmp_create 
UNION
SELECT * FROM video_publish_stickers_tmp_delete 
UNION
SELECT * FROM video_publish_stickers_tmp_update) as tt;

SET sqlcommand ="
SELECT *,@total as total FROM(
SELECT * FROM video_publish_stickers_tmp_create 
UNION
SELECT * FROM video_publish_stickers_tmp_delete 
UNION
SELECT * FROM video_publish_stickers_tmp_update) as tt LIMIT ?,?";

SET @sqlcommand = sqlcommand;

PREPARE stmt FROM @sqlcommand;
EXECUTE stmt USING @_limit_a,@_limit_b;

COMMIT;

END;

