create
    definer = skoiypp@`%` procedure SP_GET_VIDEO_STICKER_FEED_SOURCES(IN _id_sticker INT(10))
BEGIN

	
DECLARE _source_type INT;


DECLARE exit handler for sqlexception
  BEGIN
    
    SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF EXISTS (SELECT id_sticker FROM video_stickers WHERE id_sticker = _id_sticker)
THEN

SELECT source_type into _source_type FROM video_stickers_feeds_sources WHERE id_sticker = _id_sticker LIMIT 0,1;
SET @_id_sticker = _id_sticker;

		SELECT 1 as source_type,id_composed as id, title as name, 0 as total, vc.register_date FROM video_composed vc, video_profiles_l10n vp
	  WHERE vc.id_profile = vp.id_profile AND id_composed in (SELECT id_composed FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker) GROUP by id_composed 
UNION
		SELECT 10 as source_type,id_tag as id, name as name, 0 as total, register_date FROM video_tags WHERE id_tag in (SELECT id_profile_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker)
UNION 


		SELECT 2 as source_type,id_playlist as id, name as name, 0 as total, register_date FROM playlists_l10n WHERE id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker) GROUP by id_playlist
UNION
		SELECT 20 as source_type,id_tag as id, name as name, 0 as total, register_date FROM playlists_tags WHERE id_tag in (SELECT id_playlist_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker)
UNION
		SELECT 3 as source_type,id_channel as id, name as name, 0 as total, register_date FROM channels_l10n WHERE id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker) GROUP by id_channel
UNION 
		SELECT 30 as source_type,id_tag as id, name as name, 0 as total, register_date FROM channels_tags WHERE id_tag in (SELECT id_channel_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker)
UNION 
		SELECT 40 as source_type,id_sticker as id, name as name, 0 as total, register_date FROM video_stickers WHERE id_sticker in (SELECT id_source_sticker FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker)
UNION
		SELECT 100 as source_type,feed_url as id, '' as name, 0 as total, register_date FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 100;

		
IF(_source_type is null OR _source_type not in (1,10,11,2,20,3,30,40,100))
THEN
	SELECT '' as source_type,'' as id, '' as name,'' as total,'' as register_date FROM video_stickers_feeds_sources WHERE 0=1;
END IF;

ELSE
    SELECT -2 as return_code;
END IF;
    
COMMIT;

END;

