create
    definer = skoiypp@`%` procedure SP_SET_ACCOUNT_TEAMS(IN _id_account INT(10), IN _id_team INT(10),
                                                         IN _name VARCHAR(255), IN _name_stripped VARCHAR(255),
                                                         IN _description VARCHAR(255), IN _position INT(10),
                                                         IN _active INT(10))
BEGIN

-- call SP_SET_ACCOUNT_TEAMS(1,0,'name team','name_stripped','description',1,1);
-- select * from teams;

DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

SET p_last_id = 0;

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account)
THEN

    IF(_id_team = 0 OR _id_team = -1)
    THEN
            INSERT into teams(id_account,name,name_stripped,description,position,active,register_date) VALUES(_id_account,_name,_name_stripped,_description,_position,_active,now());        
            SET p_last_id = last_insert_id();
            SELECT id_team,id_account,name,name_stripped,description,position,active,update_date,register_date FROM teams WHERE id_team = p_last_id; 
    ELSE       
         IF EXISTS (SELECT id_team FROM teams WHERE id_team = _id_team AND id_account = _id_account)
         THEN
    		UPDATE teams SET name = _name,name_stripped = _name_stripped,description = _description,position = _position,active = _active, update_date = now() WHERE id_team = _id_team AND id_account = _id_account;
			SELECT id_team,id_account,name,name_stripped,description,position,active,update_date,register_date FROM teams WHERE id_team = _id_team AND id_account = _id_account; 
         ELSE
            SELECT -2 as return_code;
         END IF;
    END IF;
    
    ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

