create
    definer = skoiypp@`%` procedure SP_SET_ACCOUNT_TEAMS_USERS(IN _id_account INT(10), IN _id_team INT(10),
                                                               IN _id_user INT(10), IN _position INT(10),
                                                               IN _active INT(10))
BEGIN

-- call SP_SET_ACCOUNT_TEAMS_USERS(1,1,1,1,1);
-- select * FROM users_teams_related;

DECLARE p_last_id INT UNSIGNED;
DECLARE _empty INT;

-- ###########################
DECLARE exit handler for sqlexception
  BEGIN
    -- ERROR
	SELECT -1 as return_code;
    rollback;
  END;
-- ###########################

START TRANSACTION;

IF EXISTS (SELECT id_account FROM accounts WHERE id_account = _id_account) AND EXISTS (SELECT id_team FROM teams WHERE id_team = _id_team) AND EXISTS (SELECT id_user FROM users WHERE id_user = _id_user)
THEN

    IF NOT EXISTS(SELECT id_user FROM users_teams_related WHERE id_user = _id_user AND id_team = _id_team)
    THEN
		INSERT into users_teams_related(id_user,id_team,position,active,register_date) VALUES(_id_user,_id_team,_position,_active,now());
		SELECT id_user,id_team,position,active,register_date FROM users_teams_related WHERE id_user = _id_user AND id_team = _id_team;
    ELSE
         UPDATE users_teams_related SET active = _active, position = _position, update_date = now() WHERE id_user = _id_user AND id_team = _id_team;
         SELECT id_user,id_team,position,active,register_date FROM users_teams_related WHERE id_user = _id_user AND id_team = _id_team;
    END IF;
    
    ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

