create
    definer = skoiypp@`%` procedure SP_SET_ADS_CLONE_CAMPAIGN_GROUP(IN _id_campaign INT, IN _id_campaign_clone INT)
BEGIN

DECLARE p_last_id INT UNSIGNED;

DECLARE no_more_rows INT DEFAULT FALSE;
DECLARE num_rows INT DEFAULT 0;
DECLARE c_id_campaign_group INT;

DECLARE cursor_campaign_group CURSOR FOR SELECT c_id_campaign_group FROM ads_campaigns_groups WHERE id_campaign = _id_campaign_clone;
DECLARE CONTINUE HANDLER FOR NOT FOUND SET no_more_rows = TRUE;

SET p_last_id = 0;

START TRANSACTION;

    -- cursor
   
    OPEN cursor_campaign_group;
    IF(@result = -1)
        THEN
            SELECT -1 as return_code;
            ROLLBACK;
    END IF;
    SELECT FOUND_ROWS() into num_rows;
    
      read_loop: LOOP
        FETCH cursor_campaign_group INTO c_id_campaign_group;
    
        IF no_more_rows THEN
          LEAVE read_loop;
        END IF;
      
	-- do the work
         
		INSERT into ads_campaigns_groups(id_campaign,name,domains,exclude,playads_delivery,register_date)
			SELECT _id_campaign,name,domains,exclude,playads_delivery,now() FROM ads_campaigns_groups WHERE id_campaign_group = c_id_campaign_group;
			SET p_last_id = last_insert_id();
        
		INSERT into ads_campaigns_groups_countries(id_campaign_group,country_iso,exclude,register_date) 
			SELECT p_last_id, country_iso,exclude,now() FROM ads_campaigns_groups_countries WHERE id_campaign_group = c_id_campaign_group;
            
		INSERT into ads_campaigns_groups_external_ad_tags(id_campaign_group,id_external_ad_tag,display_in,register_date)
			SELECT p_last_id,id_external_ad_tag,display_in, now() FROM ads_campaigns_groups_external_ad_tags WHERE id_campaign_group = c_id_campaign_group;
            
		INSERT into ads_campaigns_groups_ads_videos(id_campaign_group,id_ad,display_in,begin_date,end_date,link,can_skip,skip_after,position,register_date)
			SELECT p_last_id,id_ad,display_in,begin_date,end_date,link,can_skip,skip_after,now() FROM ads_campaigns_groups_ads_videos WHERE id_campaign_group = c_id_campaign_group;
		
	-- end do the work
    
      END LOOP read_loop;

    CLOSE cursor_campaign_group;
    -- end cursor

COMMIT;

END;

