create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_EMBED_ARTWORK_RELATED(IN _id_artwork int(10), IN _id int(10),
                                                                        IN _id_asset int(10), IN _position int(10),
                                                                        IN _headline varchar(255),
                                                                        IN _title varchar(255),
                                                                        IN _description varchar(255),
                                                                        IN _action_name varchar(255),
                                                                        IN _link varchar(255))
BEGIN


DECLARE sqlcommand text;
DECLARE p_last_id INT UNSIGNED;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


START TRANSACTION;

IF EXISTS (SELECT id FROM assets_embeds WHERE id = _id) AND EXISTS (SELECT id_asset FROM assets WHERE id_asset = _id_asset AND deleted = 0)
THEN
	IF EXISTS (SELECT id FROM assets_embeds_artwork_related WHERE id_artwork = _id_artwork)
	THEN
		UPDATE assets_embeds_artwork_related SET position = _position,headline = _headline,title = _title,description = _description,action_name = _action_name,link = _link, update_date = now() WHERE id_artwork = _id_artwork;
	ELSE
		INSERT into assets_embeds_artwork_related(id,id_asset,position,headline,title,description,action_name,link,register_date)
		VALUES(_id,_id_asset,_position,_headline,_title,_description,_action_name,_link,now());
        SET _id_artwork = last_insert_id();
	END IF;
	 SELECT ae.id_artwork,id,ae.id_asset,filename,position,ae.headline,ae.title,ae.description,ae.action_name,ae.link,ae.register_date FROM assets_embeds_artwork_related ae, assets a WHERE ae.id_asset = a.id_asset AND ae.id_artwork = _id_artwork AND FN_GET_ASSETS_IS_DELETED(a.id_asset) = 0;
ELSE
	SELECT -2 as return_code;
END IF;

COMMIT;

END;

