create
    definer = skoiypp@`%` procedure SP_SET_ASSETS_PLAYLIST_CLONE(IN _id_playlist int(10), IN _id_directory int(10))
BEGIN

DECLARE p_last_id INT UNSIGNED;


DECLARE exit handler for sqlexception
  BEGIN
    
	SELECT -1 as return_code;
    rollback;
  END;


SET p_last_id = 0;

START TRANSACTION;

IF (SELECT count(1) FROM assets_playlists WHERE id_playlist = _id_playlist)
THEN

		IF(_id_directory = 0)
		THEN
        
		INSERT into assets_playlists(id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,register_date)
		SELECT id_directory, CONCAT('Copy of ',name), description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,now() FROM assets_playlists WHERE id_playlist = _id_playlist;
            SET p_last_id = last_insert_id();
            
            INSERT into assets_playlists_related(id_playlist,id_asset,position,register_date)
            SELECT p_last_id, id_asset,position, now() FROM assets_playlists_related WHERE id_playlist = _id_playlist; 

    SELECT id_playlist, id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,FN_GET_ASSETS_NUM_ASSETS_ON_PLAYLISTS(id_playlist) as total_assets, FN_GET_ASSETS_PLAYLIST_COVER_IMAGE(id_playlist) as cover_image, register_date FROM assets_playlists WHERE id_playlist = p_last_id;
        
		ELSE

			IF (SELECT count(1) FROM assets_playlists_directories WHERE id_directory = _id_directory)
            THEN

					INSERT into assets_playlists(id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,register_date)
					SELECT _id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,now() FROM assets_playlists WHERE id_playlist = _id_playlist;
						SET p_last_id = last_insert_id();
						
						INSERT into assets_playlists_related(id_playlist,id_asset,position,register_date)
						SELECT p_last_id, id_asset,position, now() FROM assets_playlists_related WHERE id_playlist = _id_playlist; 

    SELECT id_playlist, id_directory, name, description, link, image,image_align,meta_title,meta_description,meta_image,image_title,image_alter_text,meta_keywords,meta_url,meta_watermark_image,FN_GET_ASSETS_NUM_ASSETS_ON_PLAYLISTS(id_playlist) as total_assets, FN_GET_ASSETS_PLAYLIST_COVER_IMAGE(id_playlist) as cover_image, register_date FROM assets_playlists WHERE id_playlist = p_last_id;

			ELSE
                SELECT -2 as return_code;
			END IF;
        
        END IF;

ELSE
    SELECT -2 as return_code;
END IF;

COMMIT;

END;

