create
    definer = skoiypp@`%` procedure SP_SET_VIDEO_SNAPSHOT_STICKERS_RELATED(IN _id_sticker int(10), OUT _return_code INT(10))
BEGIN



		
DECLARE sqlcommand text;
DECLARE sqlcommand_union text;
DECLARE sqlcommand_feed text;

DECLARE _autoFeedEnabled INT(10);
DECLARE _autoFeedSort INT(10);
DECLARE _sourceType INT(10);

DECLARE _field INT(10);
DECLARE _st_num INT(10);


DECLARE exit handler for sqlexception
  BEGIN
    
	SET _return_code = -1;
    rollback;
  END;


START TRANSACTION;

SET _field = 2000;
SET @_id_sticker = _id_sticker;

SET _autoFeedEnabled = 0; SET _autoFeedSort = 0; SET _sourceType = 0; SET _st_num = 0;
SET sqlcommand_feed = ""; SET sqlcommand = "";

IF EXISTS (SELECT id_sticker FROM video_stickers WHERE id_sticker = @_id_sticker)
THEN
      SELECT  auto_feed_enabled,auto_feed_sort into _autoFeedEnabled, _autoFeedSort FROM video_stickers WHERE id_sticker = @_id_sticker;
END IF;

SELECT count(distinct source_type) into @_st_num FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker;


IF(_field = 2000)
THEN

    SET sqlcommand = "(SELECT 1 as fixed,0 as value,psr.id_sticker,ps.name,ps.name_stripped,FN_GET_VIDEO_STICKERS_TOTAL_ITEMS(ps.id_sticker) as total,psr.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align,vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = vc.id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,psr.begin_date,psr.end_date,IF(vc.state = 5,psr.state,vc.state) as state,psr.position,psr.register_date
	FROM video_composed_stickers_related psr, video_composed vc, video_stickers ps, video_profiles_l10n vp WHERE vc.id_profile = vp.id_profile AND psr.id_composed = vc.id_composed AND ps.id_sticker = psr.id_sticker AND ps.id_sticker = @_id_sticker GROUP BY vc.id_composed ORDER BY psr.position)";

	IF (@_st_num > 0)
	THEN
		SELECT count(1) into @rownum FROM video_composed_stickers_related WHERE id_sticker = @_id_sticker;
		
		SET sqlcommand_feed = "(SELECT fixed,value,id_sticker,name,name_stripped,total,id_composed,title,description,image,'' as image_align,publish_date,video_composed_begin_date,video_composed_end_date,(SELECT pm.begin_date FROM video_messages_video_composed_related pmr, video_messages pm WHERE pmr.id_composed = id_composed AND pm.id_message = pmr.id_message ORDER by pmr.register_date desc limit 0,1) as last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM (SELECT 0 as fixed,0 as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align, vc.publish_date,vc.begin_date as video_composed_begin_date,vc.end_date as video_composed_end_date,'0000-00-00 00:00:00' as begin_date,'0000-00-00 00:00:00' as end_date,vc.state,0 as position,vc.register_date
			FROM video_composed vc, video_profiles_l10n vp WHERE vc.id_profile = vp.id_profile AND id_composed in ";


					IF(@_st_num > 1) 
					THEN 
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM (");
	
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 2)) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_l10n WHERE id_l10n in (SELECT id_l10n FROM  playlists_l10n_tags_related WHERE id_tag in (SELECT id_playlist_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 20)))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 3))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in 
						    (SELECT id_channel FROM channels_l10n WHERE id_l10n in (SELECT id_l10n FROM channels_l10n_tags_related WHERE id_tag in (SELECT id_channel_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 30))))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_composed in (SELECT id_l10n FROM video_profiles_l10n_tags_related WHERE id_tag in (SELECT id_profile_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 10))) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE FN_GET_VIDEO_IS_LIVE_PROFILE(id_profile) in (SELECT live_profile FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 11)) ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " UNION ALL ");
						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_composed in (SELECT id_composed FROM video_composed_stickers_related WHERE id_sticker in (SELECT id_source_sticker FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = 40))) ");

						SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " ) AS t1 GROUP BY id_composed HAVING count(id_composed) >= @_st_num )"); 
					
					ELSE 
						SELECT source_type into _sourceType FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker LIMIT 0,1;
      					SET @_source_type = _sourceType; 
						CASE
				            WHEN (_sourceType = 2 AND _autoFeedSort = 0) THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)) ");
							
							WHEN _sourceType = 20 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_l10n WHERE id_l10n in (SELECT id_l10n FROM playlists_l10n_tags_related WHERE id_tag in (SELECT id_playlist_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)))) ");

							WHEN (_sourceType = 3 AND _autoFeedSort = 0) THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");

							WHEN _sourceType = 30 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed_playlists_related WHERE id_playlist in (SELECT id_playlist FROM playlists_channels_related WHERE id_channel in 
				    (SELECT id_channel FROM channels_l10n WHERE id_l10n in (SELECT id_l10n FROM channels_l10n_tags_related WHERE id_tag in (SELECT id_channel_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))))) ");
														
				   			WHEN _sourceType = 10 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_profile in ( SELECT id_profile FROM video_profiles_l10n WHERE id_l10n in (SELECT id_l10n FROM video_profiles_l10n_tags_related WHERE id_tag in (SELECT id_profile_tag FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)))) ");
							WHEN _sourceType = 11 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE FN_GET_VIDEO_IS_LIVE_PROFILE(id_profile) in (SELECT live_profile FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)) ");
				
							WHEN _sourceType = 40 THEN SET sqlcommand_feed =  CONCAT(sqlcommand_feed, " (SELECT id_composed FROM video_composed WHERE id_composed in (SELECT id_composed FROM video_composed_stickers_related WHERE id_sticker in (SELECT id_source_sticker FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type))) ");
						
						ELSE SET sqlcommand_feed = CONCAT(sqlcommand_feed,"");
						END CASE;
					
				END IF;
        
			IF(_autoFeedSort = 0)
			THEN
				SET sqlcommand_feed = CONCAT(sqlcommand_feed," AND vc.state in (5) ORDER by vc.publish_date desc LIMIT 0,15) as t2) ");
			ELSE
				IF(_sourceType = 3 AND _autoFeedSort = 1)
				THEN
					SET sqlcommand_feed = "(SELECT fixed,0 as value,id_sticker,name,name_stripped,total,id_composed,title,description,image,image_align,publish_date,video_composed_begin_date,video_composed_end_date,last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM 
					(SELECT 0 as fixed,impressions as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, vc.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align, 
					'0000-00-00 00:00:00' as publish_date, '0000-00-00 00:00:00' as video_composed_begin_date, '0000-00-00 00:00:00' as video_composed_end_date, '0000-00-00 00:00:00' as last_message_at,'0000-00-00 00:00:00' as begin_date, '0000-00-00 00:00:00' as end_date,vc.state,0 as position,vp.register_date
					FROM video_composed vc, video_profiles_l10n vp, video_stats vs WHERE vc.id_profile = vp.id_profile AND vs.id_composed = vc.id_composed AND
					day <= date(SUBDATE(NOW(),1)) AND day >= date(SUBDATE(NOW(),3)) AND id_channel in (SELECT id_channel FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)
					AND vc.state in (5)  ORDER BY value desc LIMIT 0,15) as t2)";
				END IF;

				IF(_sourceType = 2 AND _autoFeedSort = 1)
				THEN
					SET sqlcommand_feed = "(SELECT fixed,0 as value,id_sticker,name,name_stripped,total,id_composed,title,description,image,image_align,publish_date,video_composed_begin_date,video_composed_end_date,last_message_at,begin_date,end_date,state,@rownum:=@rownum+1 as position, register_date FROM 
					(SELECT 0 as fixed,impressions as value,@_id_sticker as id_sticker,'' as name, '' as name_stripped, 0 as total, vc.id_composed,vp.title,vp.description,IF(set_thumbnail = 1,FN_GET_VIDEO_THUMBNAIL(vc.id_video),vp.image) as image,'' as image_align, '0000-00-00 00:00:00' as publish_date, '0000-00-00 00:00:00' as video_composed_begin_date, '0000-00-00 00:00:00' as video_composed_end_date, '0000-00-00 00:00:00' as last_message_at,'0000-00-00 00:00:00' as begin_date, '0000-00-00 00:00:00' as end_date,vc.state,0 as position,vp.register_date
					FROM video_composed vc, video_profiles_l10n vp, video_stats vs WHERE vc.id_profile = vp.id_profile AND vs.id_composed = vc.id_composed AND
					day <= date(SUBDATE(NOW(),1)) AND day >= date(SUBDATE(NOW(),3)) AND id_playlist in (SELECT id_playlist FROM video_stickers_feeds_sources WHERE id_sticker = @_id_sticker AND source_type = @_source_type)
					AND vc.state in (5)  ORDER BY value desc LIMIT 0,15) as t2)";
				END IF;
			END IF;
	
	END IF;
    
    IF(sqlcommand_feed <> '' AND _autoFeedEnabled = 1)
    THEN
		SET sqlcommand_union = CONCAT(sqlcommand," UNION ", sqlcommand_feed);           
	ELSE   
		SET sqlcommand_union = sqlcommand;
	END IF;

END IF;

SET sqlcommand =  CONCAT("INSERT into video_composed_snapshot_stickers_related(snapshot,id_sticker,id_composed,position,register_date) SELECT (SELECT COALESCE(max(snapshot),0)+1 FROM video_composed_snapshot_stickers_related sn WHERE sn.id_sticker = tt.id_sticker) as snapshot,id_sticker,id_composed,position,now() FROM (",sqlcommand_union,") as tt");

SET @sqlcommand = sqlcommand;   
PREPARE stmt FROM @sqlcommand;
EXECUTE stmt; 

	SET _return_code = 0;
        
COMMIT;

END;

