<?php


namespace Stage\Ad\Video\Vast;

use Exception;
use PDO;
use Stage\Stage;

class Vast
{
    /**
     * Its all the VAST tags options
     *
     * @param $field
     * @return array
     * @throws Exception
     */
    public static function options($field)
    {
        try {
            $parameters = [[$field, PDO::PARAM_INT]];
            $name = "ADS_VAST_OPTIONS";
            $method = "GET";
            $results = Stage::esp($parameters, $name, $method);
            return $results;
        } catch (Exception $e) {
            throw $e;
        }
    }
}
