<?php namespace Stage\Archive;

class Query
{
    const ALL           = 0;  // name, description and tags
    const NAME          = 1;
    const TAGS          = 2;  // tags separated with % (tag1%tag2%...)
    const MONTH         = 3;
    const YEAR          = 4;
    const STATE         = 5;
    const RESOLUTION    = 6;
    const RATIO         = 7;
    const MIME_TYPE     = 8;
    const SIZE          = 9;
    const DURATION      = 10;
    const BITRATE       = 11;

    const LASTX             = 14;
    const DATE_COMPLETE     = 11;
    const DATE_YEAR_MONTH    = 12;
    const DATE_YEAR         = 13;
    const FILENAME          = 106;

    /**
     * @var
     */
    public $by = 0;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    /**
     * @var
     */
    public $fromSize = 0;

    /**
     * @var
     */
    public $toSize = 0;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
