<?php namespace Stage\Asset\Gallery\Tag;

class Query
{
    const ALL           = 0; // Dá-me as Tags todas independentemente do termo de pesquisa
    const NAME          = 1;
    const IS_PUBLIC     = 2;
    const IS_PRIVATE    = 3;

    const IN_GALLERIES  = 4;
    const BY_GALLERY_ID = 6;
    const DUPLICATED    = 9;
    const TAGS_NUMBER_OF_TIME = 10;
    const BY_TAG_ID     = 11;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
