<?php namespace Stage\Asset\Tag\Key;

class Query
{
    const ALL          = 0; // With this options all tags are returned, no matter what term is searched
    const NAME         = 1;
    const IS_PUBLIC    = 2;
    const IS_PRIVATE   = 3;
    const INSIDE_ALBUM = 4;
    const INSIDE_ASSETS = 5;
    const DUPLICATED     = 9;
    const TAGS_NUMBER_OF_TIME = 10;
    const BY_TAG_ID     = 11;

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
