<?php namespace Stage\Live\Profile\Photo;

class Photo
{

    /**
     * @var
     */
    private $photo = "";

    /**
     * The model's attributes.
     *
     * @var array
     */
    protected $attributes = array('photo');

    public function __construct()
    {
    }

    public function getBody()
    {
        return $this->photo;
    }

    public function setTitle($photo)
    {
        $this->photo = $photo;
    }

    /**
     * Convert the model instance to JSON.
     *
     * @param  int  $options
     * @return string
     */
    public function toJson()
    {
        return json_encode($this->toArray());
    }

    /**
     * Convert the model instance to an array.
     *
     * @return array
     */
    public function toArray()
    {
        $attributes = $this->attributesToArray();
        return $attributes;
    }

    /**
     * Convert the model's attributes to an array.
     *
     * @return array
     */
    public function attributesToArray()
    {
        $attributes = $this->attributes;
        $arr = array();

        foreach ($attributes as $attribute) {
            $arr[$attribute] = $this->$attribute;
        }

        return $arr;
    }

    public function __toString()
    {
        return "My id is: {$this->getId()}\n";
    }
}
