<?php namespace Stage\Live\Queue;

class Job
{

    /**
     * @var
     */
    private $idQueue;

    /**
     * @var
     */
    private $idAccount;

    /**
     * @var
     */
    private $accountToken;

    /**
     * @var
     */
    private $outputPath;

    /**
     * @var
     */
    private $idClip;

    /**
     * @var
     */
    private $video;

    /**
     * @var
     */
    private $command;

    public function getIdQueue()
    {
        return $this->idQueue;
    }

    public function getIdAccount()
    {
        return $this->idAccount;
    }

    public function getAccountToken()
    {
        return $this->accountToken;
    }

    public function getOutputPath()
    {
        return $this->outputPath;
    }

    public function getIdClip()
    {
        return $this->idClip;
    }

    public function getVideo()
    {
        return $this->video;
    }

    public function getCommand()
    {
        return $this->command;
    }

    public function setIdQueue($idQueue)
    {
        $this->idQueue = $idQueue;
    }

    public function setIdAccount($idAccount)
    {
        $this->idAccount = $idAccount;
    }

    public function setAccountToken($accountToken)
    {
        $this->accountToken = $accountToken;
    }

    public function setOutputPath($path)
    {
        $this->outputPath = $path;
    }

    public function setIdClip($idClip)
    {
        $this->idClip = $idClip;
    }

    public function setVideo($video)
    {
        $this->video = $video;
    }

    public function setCommand($command)
    {
        $this->command = $command;
    }

    /**
     * The model's attributes.
     *
     * @var array
     */
    protected $attributes = array('idQueue','idAccount','accountToken', 'outputPath','idClip', 'video', 'command');

    /**
     * The attributes that should be mutated to dates.
     *
     * @var array
     */
    protected $dates = array();

    public function __construct()
    {
    }

    /**
     * Convert the model instance to JSON.
     *
     * @param  int  $options
     * @return string
     */
    public function toJson()
    {
        return json_encode($this->toArray());
    }

    /**
     * Convert the model instance to an array.
     *
     * @return array
     */
    public function toArray()
    {
        $attributes = $this->attributesToArray();
        return $attributes;
    }

    /**
     * Convert the model's attributes to an array.
     *
     * @return array
     */
    public function attributesToArray()
    {
        $attributes = $this->attributes;
        $arr = array();

        foreach ($attributes as $attribute) {
            $arr[$attribute] = $attribute == "account" ? $this->getAccount()->toArray() : $this->$attribute;
        }

        return $arr;
    }

    /**
     * createInstance
     *
     * @param $data
     * @return Job
     */
    public static function createInstance($data)
    {
        $j = new self();
        $j->setIdQueue($data['id_queue']);
        $j->setIdAccount($data['id_account']);
        $j->setAccountToken($data['account_token']);
        $j->setOutputPath($data['output_path']);
        $j->setIdClip($data['id_clip']);
        $j->setVideo($data['video']);
        $j->setCommand($data['command']);

        return $j;
    }

    public function __toString()
    {
        return "My id is: {$this->getIdAccount()}\n";
    }
}
