<?php namespace Stage\Live\Stream;

class Query
{
    const ALL           = 0;    // name, description and tags
    const ID_LIVE       = 1;    // live:<ID>
    const STREAM        = 2;    // stream:<ID>
    const RECORD        = 3;    // record:0||1
    const DVR           = 4;    // dvr:0||1

    /**
     * @var
     */
    public $by;

    /**
     * @var
     */
    public $idAccount = 0;

    /**
     * @var
     */
    public $idStream = 0;

    /**
     * @var
     */
    public $term = "";

    /**
     * @var
     */
    public $filter = "";

    /**
     * @var
     */
    public $from = 0;

    /**
     * @var
     * If you pass $to=-1 the results will be from=FIRST_ROW to=LAST_ROW
     */
    public $to = 15;

    public function __construct()
    {
    }

    public function __get($name)
    {
        return $this->$name;
    }

    public function __set($name, $value)
    {
        $this->$name = $value;
    }
}
