<?php namespace Stage\Oir;

use DateTime;
use PDO;
use Exception;
use Stage\Stage;

class OirCommand
{
    public $idQueue;
    public $idAccount;
    public $accountToken;
    public $command;

    public static function factory($data)
    {
        $command = new self();
        $command->idQueue = $data['id_queue'];
        $command->idAccount = $data['id_account'];
        $command->accountToken = $data['account_token'];
        $command->command = $data['command'];
        return $command;
    }

    public static function isValid($data){
        return isset($data[0]) && isset($data[0]['id_queue']);
    }
}
