create definer = skoiypp@`%` trigger TGG_ASSETS_INSERT_ALBUM
    after insert
    on albums
    for each row
BEGIN

-- select * from assets_embeds;

            -- ---------------------------------------------------------------------------------------------------------------------------------------

			SET @_prefix = '';
			SET @_numbers = 1;
			SET @_lowercase = 0;
			SET @_uppercase = 0;
			SET @_length = 10;
            
            -- ---------------------------------------------------------------------------------------------------------------------------------------
            SET @_source_type = 2; -- 1Asset 2Album
			SET @_source_id = NEW.id_album;
			SET @_format = 'gallery';
			SET @_type = 'g';
			SET @_variant = 1; 
			SET @_name = NEW.name; -- 	'#album';
            SET @_code = '';

			SELECT FN_GENERATE_RANDOM_CODE(@_prefix,@_numbers,@_lowercase,@_uppercase,@_length) into @_code;
			WHILE NOT EXISTS(SELECT count(1) FROM video_embeds WHERE code = @_code)
			DO
				SELECT FN_GENERATE_RANDOM_CODE(@_prefix,@_numbers,@_lowercase,@_uppercase,@_length) into @_code;
			END WHILE;

			INSERT into assets_embeds(code,source_type,source_id,format,type,variant,name,active,register_date)
			VALUES(@_code,@_source_type,@_source_id,@_format,@_type,@_variant,@_name,1,now());
			SET @p_last_id = last_insert_id();
            
            
            -- SETUP OPTIONS
            IF EXISTS( SELECT id_option FROM assets_embeds_options_types_variants_related WHERE type = @_type AND variant = @_variant)
            THEN
					INSERT into assets_embeds_options_related(id,id_option,option_value,register_date)
                    SELECT @p_last_id,id_option,default_option_value,now() FROM assets_embeds_options_types_variants_related WHERE type = @_type AND variant = @_variant; 
            END IF;
            			
            -- ---------------------------------------------------------------------------------------------------------------------------------------
            
END;

